<xsl:param name="info">
Навигация страницы
</xsl:param>


<xsl:template name="for">
    <xsl:param name="i" select="1" />
    <xsl:param name="count" />
    
		<xsl:if test="/view/act_page = $i">
			<span class="asearch_nav_active" style="font-size:16px; padding:0px 3px; color:#1d5faa;"><xsl:value-of  disable-output-escaping="yes" select="$i"/></span>
		</xsl:if>

		<xsl:if test="/view/act_page != $i">
			<a style="padding:0px 2px;" class="asearch_nav" href="{concat(/view/url,$i)}/"> <xsl:value-of  disable-output-escaping="yes" select="$i"/> </a>
		</xsl:if>
		
    <xsl:if test="$i &lt; $count">
        <xsl:call-template name="for">
            <xsl:with-param name="i" select="$i + 1"/>
            <xsl:with-param name="count" select="$count"/>
        </xsl:call-template>
    </xsl:if>
</xsl:template>


<xsl:template match="view">
	<xsl:if test="/view/pages &gt; 1">
	
		<div class="asearch_page_nav" style="float:right; margin-right:40px;">	

				<xsl:if test="(/view/act_page) &gt; 1">
					<a  class="asearch_nav"  style="text-decoration:none;"  href="{/view/url}1/"> &lt; </a>
				</xsl:if>
				<xsl:if test="(/view/act_page) &gt; 1">
					<a class="asearch_nav" style="text-decoration:none;" href="{/view/url}{/view/act_page-1}/"> &lt;&lt; </a>
				</xsl:if>
				
				<xsl:call-template name="for">
					<xsl:with-param name="i" select="/view/start_page/text()"/>
					<xsl:with-param name="count" select="/view/finish_page/text()"/>
				</xsl:call-template>
				
				<xsl:if test="(/view/act_page &lt; /view/pages)">
					<a class="asearch_nav" style="text-decoration:none;"  href="{/view/url}{/view/act_page/text()+1}/"> &gt;&gt; </a>
				</xsl:if>

				<xsl:if test="(/view/act_page &lt; /view/pages)">
					<a class="asearch_nav"  style="text-decoration:none;"  href="{/view/url}{/view/pages/text()}/"> &gt; </a>
				</xsl:if>
			</div>
	</xsl:if>

</xsl:template>
