<xsl:template match="info">
Блок поиска
</xsl:template>

<xsl:template match="header">
	<div id="asearch_orig_phrase" style="display:none;"><xsl:value-of disable-output-escaping="yes" select="/header/result/pages/phrase/text()" /></div>
				
	<div style="float:left;">
		<span style="font-size:16px; font-weight:bold; color:#035F7F; font-family:'Verdana';">Результаты поиска по запросу &laquo;<xsl:value-of disable-output-escaping="yes" select="/header/result/phrase/text()" />&raquo;:</span>
	
		<!-- если найдено -->
		<xsl:if test="not(/header/result/count_all = '0')">
			<br/>
			<span style="font-family:Verdana; font-size:16px; font-weight:bold; font-style:italic; color:#808080;">Найдено: </span>
			
			<span style="font-family:Verdana; font-size:16px; font-weight:bold; color:#808080;">
				<xsl:value-of disable-output-escaping="yes" select="/header/result/count_all/text()" />
			</span>

		</xsl:if>
	
		<!-- если ничего не найдено -->
		<xsl:if test="/header/result/count_all = '0'">
			<p>
				<!--<xsl:value-of disable-output-escaping="yes" select="php:function('constant', 'LNG_SH_SEARCH_PHRASE')" /> 
				<span style="font-weight:bold; color: #000000;">&laquo;<xsl:value-of disable-output-escaping="yes" select="/header/result/phrase/text()" />&raquo;</span>
				-->
				<br/>
				<span style="font-weight: bold;"><xsl:value-of disable-output-escaping="yes" select="php:function('constant', 'LNG_SH_SEARCH_BUMADI')" /></span>
			</p>
		</xsl:if>

	</div>
	<div style="float:right;">
		<img src="/asearch/mf/search.png" />
	</div>
	<div class="clear"></div>
</xsl:template>

<xsl:template match="product">
	<div id="asearch_ajax_product" style="margin-top:10px;">
		<xsl:if test="/product/result/product_list">
				
				<!--блок навигации-->
				<div style="background-color:#e6e6e6; height:18px; font-size:14px; font-weight:bold; padding:2px 0px 0px 20px;  color:#000000; font-family:Verdana;">Каталог
					<div style="float:right; margin-right:10px;">
						<img src="/asearch/mf/arr.png" />
					</div>
					<xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('asearch/_page_navigation'), /product/_nav_config)"/>
					<div class="clear"></div>
				</div>
					
							<xsl:for-each select="/product/result/product_list">
							
				<table style="width:100%;">
					<tr>
						<td style="text-align:center; width:120px;">
					
						<xsl:variable name="params">
							<![CDATA[
								<table>view</table>
								<mode>preview</mode>
								<w>100</w>
								<h>100</h>
								<product><id>]]><xsl:value-of  disable-output-escaping="yes" select="id/text()"/><![CDATA[</id></product>
							]]>
						</xsl:variable>	
						<!-- настройки фотографий -->
						
					<xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('gallery/shop/_gallery_product_view'),'', $params,0)"/>  
								
				</td><td>
					
					<a href="/product/{id/text()}/" style="font-family:Verdana; white-space:wrap; font-size:14px; color:#1d5faa;">
						<xsl:value-of  disable-output-escaping="yes" select="title/text()"/>
					</a>
					
					<div style="padding-top:4px;">
						<span style="color:#808080;">Категория: </span>
						<a  style="color:#000000; font-style:italic;" href="/category/{cat_id/text()}/"><xsl:value-of  disable-output-escaping="yes" select="cat_title/text()"/></a>
					</div> 
				
						<xsl:if test="description/text() != ''">	
							<br/>
															
									<!-- ЭТО АЛЬТЕРНАТИВНЫЙ ВАРИАНТ ОБРЕЗАНИЯ ОПИСАНИЯ ЧЕРЕЗ ФУКЦИЮ-->
									<xsl:variable name="params">
										<![CDATA[
											<text>]]><xsl:value-of  disable-output-escaping="yes" select="php:function('htmlspecialchars', string(description/text()))"/><![CDATA[</text>
											<length>400</length>
											<empty>full</empty>
										]]>
									</xsl:variable>
									<xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', '0', 'smart_substr', '','',$params)"/>
									<br/><br/>
						</xsl:if>
				
						
							<div style="padding-top:4px;">
								<xsl:if test="count/text() > 0">	
									<xsl:variable name="params">
										<![CDATA[
											<price>]]><xsl:value-of select="price/text()" /><![CDATA[</price>
										]]>
									</xsl:variable>
									
									
									<xsl:variable name="shop_price" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_action', string('currency,get_price_for_shop'), '', $params)" />

									Цена: 								
									<xsl:value-of  disable-output-escaping="yes" select="$shop_price" />
									
								</xsl:if>
							</div>

				
							<div style="padding-top:4px;">
								Наличие: <xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('_product_count'), .)"/> 
							</div>
			
				
						</td>
					</tr>
				</table>
			</xsl:for-each>
						
				<!--блок навигации-->
				<div style="background-color:#e6e6e6; height:18px; font-size:14px; font-weight:bold; padding:2px 0px 0px 20px;  color:#000000; font-family:Verdana;">
					<div style="float:right; margin-right:10px;">
						<img src="/asearch/mf/arrup.png" />
					</div>
					<xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('asearch/_page_navigation'), /product/_nav_config)"/>
					<div class="clear"></div>
				</div>
						
		</xsl:if>
	</div>
</xsl:template>





<xsl:template match="pages">
		<div id="asearch_ajax_pages" style="margin-top:10px;">			
				<xsl:if test="/pages/result/pages">
				<!--блок навигации-->
				<div style="background-color:#e6e6e6; height:18px; font-size:14px; font-weight:bold; padding:2px 0px 0px 20px;  color:#000000; font-family:Verdana;">Страницы
					<div style="float:right; margin-right:10px;">
						<img src="/asearch/mf/arr.png" />
					</div>
					<xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('asearch/_page_navigation'), /pages/_nav_config)"/>
					<div class="clear"></div>
				</div>
				
		
						<xsl:for-each select="/pages/result/pages">
								<!--<xsl:value-of disable-output-escaping="yes" select="title/text()" />.&nbsp;-->
							
								
								<a  style="display:block; padding-bottom:5px; font-size:14px; color:#1d5faa; font-family:Verdana; font-style:italic; " href="/page/{id/text()}"><xsl:value-of disable-output-escaping="yes" select="title/text()" /></a>
									
									<xsl:variable name="params">
										<![CDATA[
											<text>]]><xsl:value-of  disable-output-escaping="yes" select="php:function('htmlspecialchars', string(text/text()))"/><![CDATA[</text>
											<length>400</length>
											<empty>full</empty>
										]]>
									</xsl:variable>
									<xsl:variable name="correct"><xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', '0', 'smart_substr', '','',$params)"/></xsl:variable>
									
									<!--меняем штуки из редактора (т.к. теги не включаем) -->
									<xsl:value-of  disable-output-escaping="yes" select="php:function('preg_replace', '/\.(\w)/imU','. $1', string($correct))"/>
									
									<br/><br/>

						</xsl:for-each>
				<!--блок навигации-->
				<div style="background-color:#e6e6e6; height:18px; font-size:14px; font-weight:bold; padding:2px 0px 0px 20px;  color:#000000; font-family:Verdana;">
					<div style="float:right; margin-right:10px;">
						<img src="/asearch/mf/arrup.png" />
					</div>
					<xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('asearch/_page_navigation'), /pages/_nav_config)"/>
					<div class="clear"></div>
				</div>

				</xsl:if>
		</div>
</xsl:template>				


<xsl:template match="news">

	<div id="asearch_ajax_news" style="margin-top:10px;">
	
				<xsl:if test="/news/result/news">
				
				
				<!--блок навигации-->
				<div style="background-color:#e6e6e6; height:18px; font-size:14px; font-weight:bold; padding:2px 0px 0px 20px;  color:#000000; font-family:Verdana;">Новости
					<div style="float:right; margin-right:10px;">
						<img src="/asearch/mf/arr.png" />
					</div>
					<xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('asearch/_page_navigation'), /news/_nav_config)"/>
					<div class="clear"></div>
				</div>
				

				<xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('asearch/_navigation'), /news/nav_config)"/>  

						<xsl:for-each select="/news/result/news">
								
					<div style="float:right;  font-size:14px; color:#808080;">
						<xsl:value-of  disable-output-escaping="yes" select="date/text()"/>
					</div>
					<div style="float:left;">
						<a href="/page/{id/text()}/" style="font-family:Verdana; font-size:14px; display:block; padding-bottom:5px; font-style:italic; color:#1d5faa;">
							<xsl:value-of  disable-output-escaping="yes" select="title/text()"/>
						</a>
					</div>
					<div class="clear"></div>

					<xsl:if test="description/text() != ''">	
															
									<!-- ЭТО АЛЬТЕРНАТИВНЫЙ ВАРИАНТ ОБРЕЗАНИЯ ОПИСАНИЯ ЧЕРЕЗ ФУКЦИЮ-->
									<xsl:variable name="params">
										<![CDATA[
											<text>]]><xsl:value-of  disable-output-escaping="yes" select="php:function('htmlspecialchars', string(description/text()))"/><![CDATA[</text>
											<length>300</length>
											<empty>full</empty>
										]]>
									</xsl:variable>
									<xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', '0', 'smart_substr', '','',$params)"/>
									
						</xsl:if>
							<br/><br/>
						</xsl:for-each>
					
				<xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('asearch/_navigation'), /news/nav_config)"/>  
				
				<!--блок навигации-->
				<div style="background-color:#e6e6e6; height:18px; font-size:14px; font-weight:bold; padding:2px 0px 0px 20px;  color:#000000; font-family:Verdana;">
					<div style="float:right; margin-right:10px;">
						<img src="/asearch/mf/arrup.png" />
					</div>
					<xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('asearch/_page_navigation'), /news/_nav_config)"/>
					<div class="clear"></div>
				</div>
				

				</xsl:if>
	</div>
				
</xsl:template>