<?php

class Delivery extends Controller {

	// МАССИВ ВАЛИДАЦИИ
	var $validate = array(
		'delivery' => array(
			array('field' => 'title', 'rule' => NOT_EMPTY, 'error' => LNG_SH_ERR_SEL_COURER)
		)
	);


	//POST
	function get_post_element($_data) {
		$return = array();
	
	
		if(!empty($_data['action'])) {
			switch($_data['action']) {
				case 'save':
					if(!empty($_data['elements'])) {
						foreach($_data['elements'] as $k => $v) {
							$this->save_element($k, $v);
						}
						$this->dispatcher->redirect('/admin/p/6/delivery/delivery_all_list');
					}
					break;
				case 'add':
					if(!empty($_data['fname'])) {
						$this->dispatcher->redirect('/admin/p/6/delivery/delivery_'.V($_data['fname']).'/add_new');
					}
					break;
				case 'edit':
					if(!empty($_data['id'])) {
						$db_result = $this->db_query('SELECT `name`, `uid` FROM `sc_delivery_element` WHERE `id` = "'.$_data['id'].'" LIMIT 1');
						$row = mysql_fetch_assoc($db_result);
						$this->dispatcher->redirect('/admin/p/6/delivery/delivery_'.strtolower($row['name']).'/'.$row['uid']);
					}
					break;
				case 'add_run':
					if(isset($_data['cancel']) || isset($_data['cancel_x'])) {
						$this->dispatcher->redirect('/admin/p/6/delivery/delivery_all_list');
					}
					$_is_fill = false;
					if(!empty($_data['config']) && !empty($_data['fname'])) {
						$_is_fill = true;
						foreach($_data['config'] as $i => $field) {
							if($field == '' && !is_array($field)) {
								$_is_fill = false;
								break;
							}
						}
					}
					if($_is_fill) {
						$count_el = $this->get_count(array('tbl_name'=>'delivery_element','where'=>array('name'=>$_data['fname'])));
						$this->db_query('INSERT INTO `sc_delivery_element` SET `name` = "'.V($_data['fname']).'", `uid` = "'.($count_el+1).'", `config` = "'.V(serialize($_data['config'])).'"');
						$this->dispatcher->redirect('/admin/p/6/delivery/delivery_all_list');
						if(empty($_data['redirect']) || $_data['redirect'] != 'self') {
							$this->dispatcher->redirect('/admin/p/6/delivery/delivery_all_list');
						}
					} else {
						$return['errors']['is_not_filled'] = $this->validate_set_error(LNG_NOENTER_ALL_FIELDS);
						$return['values'] = $_data;
					}
				case 'edit_run':
					if(isset($_data['cancel']) || isset($_data['cancel_x'])) {
						$this->dispatcher->redirect('/admin/p/6/delivery/delivery_all_list');
					}
					$_is_fill = false;
					if(!empty($_data['config']) && !empty($_data['id'])) {
						$_is_fill = true;
						foreach($_data['config'] as $i => $field) {
							if($field == '') {
								$_is_fill = false;
								break;
							}
						}
					}
					if($_is_fill) {
						$count_el = $this->get_count(array('tbl_name'=>'delivery_element','where'=>array('name'=>$_data['fname'])));
						$this->db_query('UPDATE `sc_delivery_element` SET `config` = "'.V(serialize($_data['config'])).'" WHERE `id` = "'.V($_data['id']).'"');
						$this->dispatcher->redirect('/admin/p/6/delivery/delivery_all_list');
						if(empty($_data['redirect']) || $_data['redirect'] != 'self') {
							$this->dispatcher->redirect('/admin/p/6/delivery/delivery_all_list');
						}
					} else {
						$return['errors']['is_not_filled'] = $this->validate_set_error(LNG_NOENTER_ALL_FIELDS);
						$return['values'] = $_data;
					}
					break;
				case 'delete': 
					if(!empty($_data['id'])) {
						$db_result = $this->db_query('DELETE FROM `sc_delivery_element` WHERE `id` = "'.$_data['id'].'" LIMIT 1');
						$db_result = $this->db_query('UPDATE `sc_delivery` SET `element_id` = "0" WHERE `element_id` = "'.V($_data['id']).'"');
					}
					$this->dispatcher->redirect('/admin/p/6/delivery/delivery_all_list');
					break;
			}
		}
		
		return $return;
	}
	
	function save_element($class, $state) {
		$classtitle = $this->get_classtitle_element_by_classname($class);
		$db_result = $this->db_query('SELECT `id` FROM `sc_delivery_element` WHERE `class_name` = "'.$class.'" LIMIT 1');
		if(mysql_num_rows($db_result)) {
			$row = mysql_fetch_assoc($db_result);
			return $this->db_query('UPDATE `sc_delivery_element` SET `state` = "'.V($state).'"'.(!empty($classtitle) ? ', `class_title`="'.V($classtitle).'"' : '').' WHERE `id` = "'.V($row['id']).'"');
		} else {
			return $this->db_query('INSERT INTO `sc_delivery_element` SET `class_name` = "'.V($class).'", `state` = "'.V($state).'"'.(!empty($classtitle) ? ', `class_title`="'.V($classtitle).'"' : ''));
		}
	}
	
	function get_post_delivery_list($_data) {
		$return = array();
	
		if(!empty($_data['action'])) {
			switch($_data['action']) {
				case 'add':  $this->dispatcher->redirect('/admin/p/6/delivery/delivery_add'); break;
				case 'edit': $this->dispatcher->redirect('/admin/p/6/delivery/delivery_edit/'.(int)$_data['id']);	break;
				case 'add_run':
					if(isset($_data['cancel']) || isset($_data['cancel_x'])) {
						$this->dispatcher->redirect('/admin/p/6/delivery/delivery_list');
					}
					if($this->validate($_data, 'delivery')) {
						$this->db_query('INSERT INTO `sc_delivery` SET `title` = "'.V($_data['title']).'", `comment` = "'.V($_data['comment']).'", `description` = "'.V($_data['description']).'", `element_id` = "'.V($_data['element_id']).'", `order` = "0"');
						$this->dispatcher->redirect('/admin/p/6/delivery/delivery_list');
					} else {
						$return['errors'] = $this->validate_errors();
					}
					break;
				case 'edit_run':
					if(isset($_data['cancel']) || isset($_data['cancel_x'])) {
						$this->dispatcher->redirect('/admin/p/6/delivery/delivery_list');
					}
					if($this->validate($_data, 'delivery') && !empty($_data['id'])) {
						$this->db_query('UPDATE `sc_delivery` SET `title` = "'.V($_data['title']).'", `comment` = "'.V($_data['comment']).'", `description` = "'.V($_data['description']).'", `element_id` = "'.V($_data['element_id']).'" WHERE `id` = "'.V($_data['id']).'"');
						$this->dispatcher->redirect('/admin/p/6/delivery/delivery_list');
					} else {
						$return['errors'] = $this->validate_errors();
					}
					break;
				case 'delete':
					if(!empty($_data['id'])) {
						$this->db_query('DELETE FROM `sc_delivery` WHERE `id` = "'.$_data['id'].'" LIMIT 1');
					}
					break;
			}
		}
		
		return $return;
	}
	
	// GETTERS
	
	function get_all_delivery_list() {
		$db_result = $this->db_query('SELECT * FROM `sc_delivery`');
		$list = $this->db_get_all_content($db_result);
		return $list;
	}
	
	function get_all_delivery_element_list() {
		$db_result = $this->db_query('SELECT * FROM `sc_delivery_element` WHERE `state` = "1"');
		$list = $this->db_get_all_content($db_result);
		return $list;
	}
	
	function get_delivery_item($id) {
		$db_result = $this->db_query('SELECT * FROM `sc_delivery` WHERE `id` = "'.$id.'"');
		$item = mysql_fetch_assoc($db_result);
		return $item;
	}
	
	function get_active_elements() {
		$db_result = $this->db_query('SELECT * FROM `sc_delivery_element` WHERE `state` = "1"');
		$list = $this->db_get_all_content($db_result);
		return $list;
	}
	
	function get_load_act_elements() {
		$db_result = $this->db_query('SELECT `id`, `name`, `uid` FROM `sc_delivery_element` ORDER BY `name` ASC, `uid` ASC');	
		return $this->db_get_all_content($db_result);
	}
	
	function get_element_item($f) {
		$result_db = $this->db_query('SELECT * FROM `sc_delivery_element` WHERE `name` = "'.$f['fname'].'" AND `uid` = "'.$f['uid'].'" LIMIT 1');
		return mysql_fetch_assoc($result_db);
	}
	
	function get_load_all_elements() {
		$dirname = MD.'delivery/';
		$dir_ptr = dir($dirname);
		$elements = array();
		
		while($name = $dir_ptr->read()) {
			$filename = $dirname.$name;
			if(!is_dir($filename) && $this->is_element_conf($filename)) {
				if(file_exists($filename)) {
					require_once($filename);
					$delivery_el['name']  = $EL_NAME;
					$delivery_el['title'] = $EL_TITLE;
					$delivery_el['description']  = $EL_DESCRIPTION;
					$delivery_el['support_free'] = $EL_SUPPORT_FREE;
					$delivery_el['support_demo'] = $EL_SUPPORT_DEMO;
					$elements[] = $delivery_el;
				}
			}
		}
		unset($EL_NAME);
		unset($EL_TITLE);
		unset($EL_DESCRIPTION);
		
		foreach($elements as $i => $v) {
			$elements[$v['name']] = $elements[$i];
			unset($elements[$i]);
		}
		return $elements;
	}
	
	// PRIVATE
	
	function is_element_conf($fn) {
		return ($fn != '.' && $fn != '..' && substr($fn, -(strlen(PHPCONF))) == PHPCONF && $fn != 'delivery.php');
	}

	function get_classtitle_element_by_classname($classname) {
		$this->get_load_elements();
		if(!empty($this->elements)) {
			foreach($this->elements as $i => $v) {
				if($v['classname'] == $classname) {
					return $this->elements[$i]['classtitle'];
				}
			}
		}
		return '';
	}

	function get_serial_element(&$a) {
		$conf = $a;
		if(isset($conf['id'])) unset($conf['id']);
		if(isset($conf['action'])) unset($conf['action']);
		if(isset($conf['redirect'])) unset($conf['redirect']);
		if(isset($conf['x'])) unset($conf['x']);
		if(isset($conf['y'])) unset($conf['y']);
		//var_dump($conf); die();
		return serialize($conf);
	}
}

?>