<xsl:param name="info">
Навигация (крошки)
</xsl:param>

<xsl:template name="for">
    <xsl:param name="count" />
    <xsl:param name="i" select="1" />
    <span class="bc_arrow">&nbsp;</span>
		<xsl:variable name='class'>
			<xsl:choose>
				<xsl:when test="$i = 1">bread</xsl:when>
				<xsl:otherwise>
					bread
				</xsl:otherwise>
			</xsl:choose>
		</xsl:variable> 
		
		<a class="{$class}" href="{/view/bread/pfx}{/view/bread/path[position()=$i]/id}/">
			<xsl:value-of  disable-output-escaping="yes" select="/view/bread/path[position()=$i]/title/text()"/> 
		</a>
		
    <xsl:if test="$i &gt; 1">
        <xsl:call-template name="for">
            <xsl:with-param name="i" select="$i - 1"/>
            <xsl:with-param name="count" select="$count"/>
        </xsl:call-template>
    </xsl:if>
</xsl:template>


<xsl:template match="view">

	
	<div class="breadcrumbs">
		<a class="bread" href="/"><xsl:value-of select="php:function('constant', 'LNG_SH_MAIN')" /></a>
		
		<xsl:if test="/view/bread/path">
			
		<xsl:call-template name="for">
            <xsl:with-param name="count" select="count(/view/bread/path)"/>
            <xsl:with-param name="i" select="count(/view/bread/path)"/>
        </xsl:call-template>
			
		</xsl:if>
	
	</div>

</xsl:template>
