<xsl:param name="info">
Дерево каталога
</xsl:param>

<xsl:template match="view">

<table id="catalog_block">
	<tr><td id="catalog_header"><xsl:value-of  disable-output-escaping="yes" select="/view/block/title/text()"/></td></tr>
	
	<xsl:for-each select="/view/category_tree/k">			
		<xsl:if test="(/view/category_id/text() = id/text())">
			<tr><td class="catalog_item_1 act_cat"><div class="catalog_item_1_act"><xsl:value-of  disable-output-escaping="yes" select="title/text()"/></div></td></tr>			
		</xsl:if>
		<xsl:if test="not(/view/category_id/text() = id/text())">
			<tr><td class="catalog_item_1"><a class="catalog" href="/category/{id/text()}/"><xsl:value-of  disable-output-escaping="yes" select="title/text()"/></a></td></tr>
		</xsl:if>
		<tr><td class="catalog_child_1">
			<!-- рекурсив категорий -->
			<xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('_category_tree_sub'), .)"/> 
		</td></tr>	
	</xsl:for-each>	
	<tr><td id="catalog_footer"></td></tr>	
</table>
</xsl:template>