<xsl:param name="info">
Подкатегории дерева каталога
</xsl:param>


<xsl:template match="view">

<xsl:if test="count(/view/arr/childs) != 0">

<table class="catalog_child_inside">
		<xsl:for-each select="/view/arr/childs">
			<xsl:if test="title/text() !=' '">
			
				<xsl:if test="/view/category_id/text() = id/text()">
					<tr>
						<td class="catalog_child_inside chi_act"><xsl:value-of  disable-output-escaping="yes" select="title/text()"/></td>
					</tr>
				</xsl:if>
				
				
				<xsl:if test="not(/view/category_id/text() = id/text())">
					<tr>
						<td class="catalog_child_inside"><a class="catalog" href="/category/{furl/text()}/"><xsl:value-of  disable-output-escaping="yes" select="title/text()"/></a></td>
					</tr>

				</xsl:if>
				
				<tr>
					<td class="catalog_child_2">				
						<!-- рекурсив категорий -->
						<xsl:variable name="level">
							<![CDATA[<level>]]>
								<xsl:value-of disable-output-escaping="yes" select="/view/arr/level/text()+1" />
							<![CDATA[</level>]]>
						</xsl:variable>
						<xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('_category_tree_sub'), ., $level)"/>
					</td>
				</tr>			
			</xsl:if>			
			
		</xsl:for-each>	
	</table>
	
</xsl:if>
</xsl:template>