<xsl:param name="info">
Блок сравнения продуктов
</xsl:param>


<xsl:template match="view">

	
<table id="black_block">
	<tr>
		<td id="black_header"><xsl:value-of select="/view/comparision/title/text()" /></td>
	</tr>
	<tr>
		<td id="black_content">
			<xsl:if test="/view/session.comparision &gt; 0">
				<xsl:if test="/view/comparision/config/print_type = '1'">							
					<table width="100%" style="margin: 5px 0px;" cellspacing="0">
						<xsl:for-each select="/view/product_list/k">
							<tr>
								<td style="padding: 3px 0px;">
									<form method="post">
										<input type="hidden" value="del_from_comparision" name="action" />
										<input type="hidden" value="{id}" name="id" />
										<input type="image" src="/rel/shop/magicdark/images/del_red_button.jpg" value="" />
									</form>
								</td>
								<td style="padding: 3px 8px;">
									<span style="font: normal 11px/12px Arial, sans-serif;">
										<a class="page_navigation" href="/product/{id/text()}/"><xsl:value-of  disable-output-escaping="yes" select="title/text()"/></a>
									</span>
								</td>
							</tr>
						</xsl:for-each>
					</table>
				</xsl:if>
				<xsl:if test="/view/comparision/config/print_type != '1'">					
					<p><xsl:value-of select="php:function('constant', 'LNG_SH_PRODUCTS_IN_TABLE')" />:<br /><b style="color: #FFFFFF"><xsl:value-of  disable-output-escaping="yes" select="/view/session.comparision/text()"/>&nbsp;<xsl:value-of select="php:function('constant', 'LNG_SH_EDINITSA_WT')" /></b></p>
				</xsl:if>
					<p>
						<form method="POST">
							<input type="hidden" name="action" value="go_to_comparision" />			
							<input type="submit" value="{php:function('constant', 'LNG_SH_GOO_TBL')}" class="btn_go_to_tbl" onClick="window.open('/comparision','comp','top=50, left=20, width=750,height=600,scrollbars=1'); return false" />										
						</form>
					</p>
					<p><div style="height: 10px;"></div></p>
		
		
		</xsl:if>
		<xsl:if test="/view/session.comparision = 0">
			<p><xsl:value-of select="php:function('constant', 'LNG_SH_NO_PRODUCTS')" /></p>
		</xsl:if>
		</td>
	</tr>	
</table>
</xsl:template>