<xsl:param name="info">
Новости
</xsl:param>


<xsl:template match="view">
	<xsl:if test="/view/news_list">
	
		<table id="black_block">
			<tr><td id="black_header"><xsl:value-of  disable-output-escaping="yes" select="/view/block/title/text()"/></td></tr>
			<tr><td id="black_content">
					<table id="newsblock">
						<xsl:for-each select="/view/news_list/k">
						<tr>
							<td>
								<h1 class="newsblock_link">
									<a class="catalog_preview" href="/news/{id/text()}/"><xsl:value-of  disable-output-escaping="yes" select="title/text()"/></a>									
								</h1>
								<h2 class="newsblock_date"><xsl:value-of  disable-output-escaping="yes" select="date/text()"/></h2>
							</td>
						</tr>
						</xsl:for-each>
						<tr>
							<td>						
								<xsl:if test="/view/subscribe_result">
									<p class="reg" style="font-size: 11px; color: #FFFFFF;">
										<xsl:if test="/view/subscribe_result='ok'">
											<xsl:value-of select="php:function('constant', 'LNG_SH_EMAIL_ADDED_SUCCESSFULL')" />
										</xsl:if>
										<xsl:if test="/view/subscribe_result='set'">
											<xsl:value-of select="php:function('constant', 'LNG_SH_EMAIL_UJE_EST')" />
										</xsl:if>
									</p>
								</xsl:if>
								<form method="POST">
									<input type="hidden" name="action" value="send_email" />
									<p class="reg"><input class="newsblock" type="text" name="email" value="" /></p>
									<p><input type="submit" value="{php:function('constant', 'LNG_SH_PODPISATSYA')}" class="btn_podp"/></p>
								</form>
							</td>
						</tr>
					</table>
			</td></tr>	
		</table>	
		
	</xsl:if>


	
</xsl:template>