<xsl:param name="info">
Навигация страницы
</xsl:param>


<xsl:template name="for">
    <xsl:param name="i" select="1" />
    <xsl:param name="count" />
    
		<xsl:if test="/view/act_page = $i">
			<td class="act"><xsl:value-of  disable-output-escaping="yes" select="$i"/></td>
		</xsl:if>

		<xsl:if test="/view/act_page != $i">
			<td><a class="page_navigation" href="{concat(/view/url,$i)}/"><xsl:value-of  disable-output-escaping="yes" select="$i"/></a></td>
		</xsl:if>
		
    <xsl:if test="$i &lt; $count">
        <xsl:call-template name="for">
            <xsl:with-param name="i" select="$i + 1"/>
            <xsl:with-param name="count" select="$count"/>
        </xsl:call-template>
    </xsl:if>
</xsl:template>


<xsl:template match="view">
	<xsl:if test="/view/pages &gt; 1">	
		<div class="page_navigation">
			<table>
				<tr>

				<!--<xsl:if test="(/view/act_page) &gt; 1">
					<a class="page_navigation page_beg" href="{/view/url}1/"></a>
				</xsl:if>-->
				
				<xsl:if test="(/view/act_page) &gt; 1">					
					<td><a class="page_navigation left" href="{/view/url}{/view/act_page-1}/"> « </a></td>
					<td class="null">&nbsp;...&nbsp;</td>
				</xsl:if>
								
				<xsl:call-template name="for">
					<xsl:with-param name="i" select="/view/start_page/text()"/>
					<xsl:with-param name="count" select="/view/finish_page/text()"/>
				</xsl:call-template>
				
				<xsl:if test="(/view/act_page &lt; /view/pages)">
					<td class="null">&nbsp;...&nbsp;</td>
					<td><a class="page_navigation right" href="{/view/url}{/view/act_page/text()+1}/"> » </a></td>
				</xsl:if>

				<!--<xsl:if test="(/view/act_page &lt; /view/pages)">
					<a class="page_navigation page_end" href="{/view/url}{/view/pages/text()}/"></a>
				</xsl:if>-->
				</tr>
			</table>
		</div>		
	</xsl:if>	
</xsl:template>
