<xsl:param name="info">
Опрос
</xsl:param>


<xsl:template match="view">

<xsl:if test="/view/is_sended != '1'">
<form method="POST">
<input type="hidden" name="action" value="send_questioning" />
<input type="hidden" name="questioning_id" value="{php:function('constant', 'CONF_QUESTIONING_ACTIVE')}" />					
<table id="black_block">
	<tr><td id="black_header"><xsl:value-of disable-output-escaping="yes" select="/view/block/title/text()" /></td></tr>
	<tr><td id="black_content">
			<table id="que_block">
				<tr>
					<td id="que_question" style="padding: 0px 0px 10px 0px;">
						<xsl:value-of disable-output-escaping="yes" select="/view/question/question/text()" />
					</td>
				</tr>
				<xsl:if test="/view/answers/k">
					<xsl:for-each select="/view/answers/k">
						<tr>
							<td class="que_input" style="padding: 5px 0px;">
								<input type="radio" name="answer_id" value="{id/text()}" id="radio_{id/text()}" /> <label class="que_label" for="radio_{id/text()}"><span><xsl:value-of disable-output-escaping="yes" select="answer/text()" /></span></label>
							</td>
						</tr>
					</xsl:for-each>
				</xsl:if>
				<tr>
					<td class="que_button">
						<input type="submit" value="{php:function('constant', 'LNG_SH_BTN_GOLOS')}" class="btn_golos" src="/rel/shop/green/images/login_form_button_2.png" />
					</td>
				</tr>
			</table>
	</td></tr>	
</table>
</form>

</xsl:if>

<xsl:if test="/view/is_sended = '1'">

<table id="black_block">
	<tr><td id="black_header"><xsl:value-of disable-output-escaping="yes" select="/view/block/title/text()" /></td></tr>
	<tr><td id="black_content">
			<table id="que_block">
				<tr><td id="que_question" style="padding: 0px 0px 10px 0px;" colspan="2">
						<xsl:value-of disable-output-escaping="yes" select="/view/question/question/text()" />
					</td></tr>
					<xsl:if test="/view/answers/k">
						<xsl:for-each select="/view/answers/k">									
									
							<xsl:if test="/view/block/config/result_type = '2'">
								<tr><td class="que_input" style="padding: 5px 5px 5px 0px;"><xsl:value-of disable-output-escaping="yes" select="answer/text()" /></td>
									<td class="que_input" style="padding: 0px;"><strong style="color: #FFFFFF">
										<xsl:variable name="asum" select="sum(/view/answers/k/count/text())" />
										<xsl:value-of disable-output-escaping="yes" select="round(count/text()*100 div $asum)" />%
									</strong></td></tr>
							</xsl:if>
							
							<xsl:if test="/view/block/config/result_type != '2'">								
								<tr><td class="que_input" style="padding: 5px 5px 5px 0px;"><xsl:value-of disable-output-escaping="yes" select="answer/text()" /></td>
									<td class="que_input" style="padding: 0px;"><strong style="color: #FFFFFF"><xsl:value-of disable-output-escaping="yes" select="count/text()" /></strong></td></tr>
							</xsl:if>

						</xsl:for-each>
					</xsl:if>
			</table>
	</td></tr>	
</table>

</xsl:if>

	
</xsl:template>