<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [<!ENTITY nbsp "&#xA0;"><!ENTITY copy "&#xA9;">]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"  xmlns:xhtml="http://www.w3.org/1999/xhtml"  xmlns:php="http://php.net/xsl">

<xsl:output encoding="UTF-8" method="html" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" indent="yes" media-type="text/html"/>

<xsl:param name="info">
	Главный шаблон
</xsl:param>

<xsl:template match="view">

<!--<xsl:value-of select="$info" />-->

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />


<xsl:if test="/view/layout/meta_keywords/text()!=''">
	<meta name="meta_keywords" content="{text()}" />
</xsl:if>

<xsl:if test="/view/layout/meta_description/text()!=''">
	<meta name="meta_description" content="text()" />
</xsl:if>

<title><xsl:value-of select="/view/layout/title/text()" /></title>

<xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('ico'))"/>  

	<link href="/rel/shop/magicdark/css/styles.css" rel="stylesheet" type="text/css"/>
	<xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('_headers'))"/>  
</head>

<body>



<table id="layout">
	<!-- Содержимое хэдэра -->
	<xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('_header'))"/>

	<tr><td id="menu_row">
			<xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('_menu'))"/>
	</td></tr>

	<tr><td id="breadcrumb_row">
			<xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('_breadcrumb'))"/>
	</td></tr>
	<tr>
		<td id="main_row">
			<table id="main_row_inside">
				<tr>
					<td id="left_column">
						<xsl:value-of  disable-output-escaping="yes" select="/view/zoneA"/>  
					</td>
					<td id="main_column">
						<xsl:value-of  disable-output-escaping="yes" select="/view/zoneC"/>  
						<xsl:if test="/view/banner/text()='2'">
							<xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('_banner'))"/>  
						</xsl:if>
					</td>
					<td id="right_column">
						<xsl:value-of  disable-output-escaping="yes" select="/view/zoneB"/>  
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td>
			<table style="margin:0 auto;">
				<tr>
					<td><xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('_shopsolution'))"/>  </td>
					<td style="padding:0px 10px;">
						<p align="center">
							<span class="comment"><xsl:value-of select="php:function('constant', 'CONF_SHOP_COPYRIGHT')" /> </span>
						</p>
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td id="wt_copy">
			<xsl:value-of  disable-output-escaping="yes" select="/view/copyright"/>
		</td>
	</tr>

	<xsl:if test="/view/layout/counters">
	<tr>
		<td>
			<center>				
				<xsl:for-each select="/view/layout/counters">				
					<span style="padding: 2px"><xsl:value-of  disable-output-escaping="yes" select="."/></span>
				</xsl:for-each>
			</center>
		</td>
	</tr>
	</xsl:if>
	
</table>

</body>
</html>

</xsl:template>


</xsl:stylesheet>