<xsl:param name="info">
Все новости
</xsl:param>

<xsl:template match="view">

<table class="content2_table">
	<tr>
		<td class="content2_top_left"><div class="null c2"></div></td>
		<td class="content2_top_cloud"><div class="null cl"></div></td>
		<td class="content2_top_center">
			<h1 class="content2_top_header"><xsl:value-of  disable-output-escaping="yes" select="php:function('constant', 'LNG_SH_NEWS')"/></h1>
			<xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('_page_navigation'), /view/navigation)"/>
		</td>
		<td class="content2_top_right"><div class="null c2"></div></td>
	</tr>
	<tr>
		<td class="content2_main" colspan="4">
			<table class="content_list">
				<xsl:for-each select="/view/result/news_list">
				<tr>
					<td class="content_list_item" style="padding-left: 15px;">
						<div style="float: right"><a href="#" name="{id/text()}" style="text-decoration: none">&nbsp;</a></div>
						<h1 class="catalog_preview">							
							<a class="catalog_preview" href="/news/{id/text()}/{/view/result/act_page/text()}/"><xsl:value-of  disable-output-escaping="yes" select="title/text()"/> </a>
						</h1>
					</td>
					<td class="content_list_item date" style="padding-right: 15px;"><nobr><xsl:value-of  disable-output-escaping="yes" select="date/text()"/></nobr></td>
				</tr>
				</xsl:for-each>

			</table>
		</td>
	</tr>
	<tr><td class="content2_bottom_left"><div class="null c2"></div></td>
		<td class="content2_bottom_center" colspan="2"></td>
		<td class="content2_bottom_right"><div class="null c2"></div></td></tr>		
</table>

</xsl:template>