<?php
	//error_reporting(0);

	header('Content-type: text/html; charset=utf-8');
	session_start();
		
		
	include(dirname(dirname(dirname(__FILE__))).'/core/functions.main.php');
	
	define('S', DIRECTORY_SEPARATOR);
	
	define('SR', str_replace('/', S, $_SERVER['DOCUMENT_ROOT']));
	define('R', SR.S);
	
	define('VERSION', '2.0.2904'); // version
	//session_kill(); // debug mode - сброс сессии
	
	define('IS_EMAIL', '/^([a-zA-Z0-9_\-\.]{1,})@([a-zA-Z0-9_-]{2,})\.([a-zA-Z0-9_-]{2,})[\s]*?$/');
	
	$used_dirs = array(
		SR,
		R.'webroot'.S.'files'.S.'images',
		R.'tmp'.S.'cache'.S.'view',
	);

	@include('../../core/core.php');
		$a = new Core;
	
	$copy_dirs = array(
		array(R.'webroot'.S, R.'public'.S.'webroot'.S),
		array(R.'views'.S,   R.'public'.S.'views'.S),
	);
	
	$copy_rules = array(
		R.'webroot'.S => array(
			'only' => array('rel')
		),
		R.'webroot'.S.'rel'.S => array(
			'only' => array('shop')
		),
		R.'views'.S => array(
			'only' => array('shop'),
			'not_files_r' => array('config.php')
		),
	);
	
	function is_valid_path($_path, $_item) {
		global $copy_rules;
		
		if(!empty($copy_rules)) {
			foreach($copy_rules as $path => $data_path) {
				if($path == $_path) {
					if(!empty($data_path['only'])) {
						foreach($data_path['only'] as $j => $item) {
							if($item != $_item) {
								return false;
							}
						}
					} else {
						return true;
					}
				}
			}
		}
		
		return true;
	}
	
	function is_valid_file($_path, $_file) {
		global $copy_rules;
		
		if(!empty($copy_rules)) {
			foreach($copy_rules as $path => $data_path) {
				if($path == substr($_path, 0, strlen($path))) {
					if(!empty($data_path['not_files_r'])) {
						foreach($data_path['not_files_r'] as $j => $file) {
							if($_file == $file) {
								return false;
							}
						}
					}
				}
			}
		}
		
		return true;
	}
	
	function copy_data_req($_in, $_out) {
		if(file_exists($_in) && file_exists($_out)) {
			$_in_ptr = dir($_in);
			while($_in_name = $_in_ptr->read()) {
				if($_in_name != '.' && $_in_name != '..' && is_valid_path($_in, $_in_name)) {
					if(is_dir($_in.$_in_name)) {
						if(@mkdir($_out.$_in_name)) {
							copy_data_req($_in.$_in_name.S, $_out.$_in_name.S);
						}
					} else {
						if(is_valid_file($_in, $_in_name)) {
							copy($_in.$_in_name, $_out.$_in_name);
						}
					}
				}
			}
		}
	}
	
	function session_kill() {
		unset($_SESSION);
		session_destroy();
	}
	
	if(!function_exists('S')) {
		function S($value) {
			return htmlspecialchars($value);
		}
	}
	
	if(!function_exists('V')) {
		function V($value) {
			return addslashes($value);
		}
	}
	
	function is_correct_to_create_file_dirs($dirs_array) {
		$return = true;
		$_SESSION['settings']['server']['fs_access_error'] = array();
		
		foreach($dirs_array as $i => $dir_path) {
			if(file_exists($dir_path) && is_dir($dir_path)) {
				if(@mkdir($dir_path.'/test_dir', 0755)) {
					rmdir($dir_path.'/test_dir');
				} else {
					$_SESSION['settings']['server']['fs_access_error'][] = get_short_path($dir_path);
					$return = false;
				}
			} else {
				$_SESSION['settings']['server']['fs_access_error'][] = get_short_path($dir_path);
				$return = false;
			}
		}
		return $return;
	}
	
	function get_short_path($long_path) {
		$path_parts  = explode(S, SR);
		unset($path_parts[count($path_parts)-1]);
		$new_path    = implode(S, $path_parts);
		
		return substr($long_path, strlen($new_path));
	}
	
	function get_salt_pass($pass) {
		return md5(md5('acdHvdshvdefkvdJkhd').md5($pass));
	}
	
	function get_auth_state() {
		if(!file_exists(R.'config.php')) {
			return true;
		}
		include_once(R.'config.php');	
		$link = mysql_connect(DB_HOST, DB_USER, DB_PASS);		
		mysql_select_db(DB_NAME, $link);		
		
		if(isset($_POST['action']) && $_POST['action'] == 'authentication_run') {
			$res_q = mysql_query('SELECT `password` FROM `sc_admin` WHERE `login` = "'.V($_POST['login']).'" LIMIT 1');
			if($res_q) {
				$row = mysql_fetch_assoc($res_q);
				if($row['password'] == md5($_POST['password'])) {
					$_SESSION['admin']['login'] = $_POST['login'];
					$_SESSION['admin']['pass']  = get_salt_pass($row['password']);
				}
			}
		}
		$_is_auth = false;
		if(isset($_SESSION['admin']['login']) && isset($_SESSION['admin']['pass'])) {
			$res_q = mysql_query('SELECT `password` FROM `sc_admin` WHERE `login` = "'.V($_SESSION['admin']['login']).'" LIMIT 1');
			if($res_q) {
				$row = mysql_fetch_assoc($res_q);
				if(get_salt_pass($row['password']) == $_SESSION['admin']['pass']) {
					$_is_auth = true;
				}
			}
		}
			
		return $_is_auth;
	}
	
	$is_auth = get_auth_state();
	
	if(isset($_GET['url']) && $_GET['url'] == 'logout') {
		session_kill();
		header('Location: /');
		die();
	}
	
	if(isset($_POST['action']) && $_POST['action'] == 'server_validate') {
		if(isset($_SESSION['settings']['server']['preprocess'])) {
			unset($_SESSION['settings']['server']['preprocess']);
		}
	}
	
	// INIT | ИНИЦИАЛИЗАЦИЯ ДАННЫХ
	$action = false;

	if(empty($_SESSION['settings'])) {
		$_SESSION['settings']['licence'] = false;

		if (file_exists('../../config.php')) {
			require_once('../../config.php');
			if (@mysql_connect(DB_HOST, DB_USER, DB_PASS)) {
				if(@mysql_select_db(DB_NAME)) { 
					mysql_query('SET charset '.DB_ENCD);
					$q = mysql_query('SELECT * FROM `sc_config`');
					if ($q) {
						while ( $row = mysql_fetch_array($q) ) {
							//$_SESSION['settings']['db']['old_config'][$row['name']] = $row['value'];
						}
					}
					$q = mysql_query('SELECT * FROM `sc_admin` LIMIT 1');
					if ( $q ) {
						//$_SESSION['settings']['db']['old_user'] = mysql_fetch_array($q);
					}
				}
			}
		}

		$_SESSION['settings']['db']['host'] = defined('DB_HOST') ?  DB_HOST : 'localhost';
		$_SESSION['settings']['db']['user'] = defined('DB_USER') ?  DB_USER : 'root';
		$_SESSION['settings']['db']['pass'] = defined('DB_PASS') ?  DB_PASS : '';
		$_SESSION['settings']['db']['name'] = defined('DB_NAME') ?  DB_NAME : '';
		$_SESSION['settings']['db']['run']  = false;
		$_SESSION['settings']['db']['set']  = false;
		$_SESSION['settings']['db']['run_name'] = false;
	
		$_SESSION['settings']['admin']['login'] = 'admin';
		$_SESSION['settings']['admin']['pass']  = '';
		$_SESSION['settings']['admin']['state'] = 0;

		$_SESSION['settings']['shop']['shop_name'] =  'Имя Вашего магазина';
		$_SESSION['settings']['shop']['admin_email'] = '';
		$_SESSION['settings']['shop']['order_email'] = '';
		$_SESSION['settings']['shop']['default_currency'] =  'RUR';		
		$_SESSION['settings']['shop']['state'] = 0;
		$_SESSION['settings']['shop']['currency_title'] = 'Российский рубль';
		$_SESSION['settings']['shop']['currency_name']  = 'руб.';
		$_SESSION['settings']['shop']['currency_code']  = 'RUR';
		
		$_SESSION['settings']['server']['preprocess'] = false;
		
		$_SESSION['settings']['complete'] = false;
	}
	
	//SERVER PREPROCESS | ЧАСТИЧНАЯ ПРОВЕРКА НАСТРОЕК СЕРВЕРА
	if(!$_SESSION['settings']['server']['preprocess'] || ( !empty($_GET['url']) && $_GET['url']=='step_s' ) ) {
		$_SESSION['settings']['server']['php_version'] = phpversion();
		$_SESSION['settings']['server']['mod_rewrite'] = isset($mod_rewrite_on);
		
		if(substr(PHP_OS, 0, 3) === 'WIN') {
			$os = 'Win32';
		} else {
			$os_info = explode(' ', PHP_OS);
			$os = $os_info[0];
		}
		$_SESSION['settings']['server']['os']  = $os;
		
		$_SESSION['settings']['server']['is_set_zend_opt'] = extension_loaded('Zend Optimizer');
		$_SESSION['settings']['server']['is_set_gd']       = extension_loaded('gd');
		$_SESSION['settings']['server']['is_set_iconv']    = extension_loaded('iconv');
		//$_SESSION['settings']['server']['is_set_sxml']     = extension_loaded('SimpleXML');
		$_SESSION['settings']['server']['fs_access']       = is_correct_to_create_file_dirs($used_dirs);

		if(function_exists('apache_get_version')) {
			$httpd_info = apache_get_version();
			sscanf($httpd_info, "%s %s", $httpd, $trash);
			$_SESSION['settings']['server']['http_server'] = $httpd;
		} else {
			$str = '[не определен]';
			if ($_SESSION['settings']['server']['is_set_iconv']) {
				$str = 'Apache';
			}
			$_SESSION['settings']['server']['http_server'] = $str;
		}
		$_SESSION['settings']['server']['preprocess'] = true;
	}
	
	// POST | ОБРАБОТКА ПОСТА
	if(!empty($_POST['action'])) {
		$action = $_POST['action'];	
		switch($_POST['action']) {
			// === ШАГ ПРИНЯТИЯ ЛИЦЕНЗИИ
			case 'accept_licence':	
				$_SESSION['settings']['licence'] = true;
				header("Location: /webroot/install/step_s"); die();
				break;
			// === ШАГ УСТАНОВКИ (ЗАВЕРШЕНИЯ)
			case 'setup':
				// ГЕНЕРАЦИЯ КОНФИГА
				$fp = fopen(R.'config.php', "w");
				$content  = "<?php\n";
				$content .= "	define('DB_HOST', '".$_SESSION['settings']['db']['host']."');\n";
				$content .= "	define('DB_USER', '".$_SESSION['settings']['db']['user']."');\n";
				$content .= "	define('DB_PASS', '".$_SESSION['settings']['db']['pass']."');\n";
				$content .= "	define('DB_NAME', '".$_SESSION['settings']['db']['name']."');\n";
				$content .= "	define('DB_ENCD', 'utf8');\n";
				$content .= "	define('DB_TBLP', 'sc_');\n";
				$content .= "?>\n";
				fwrite($fp, $content);
				fclose($fp);
				
				
				//KEY GEN
				
				if($a->w==1||$a->w==2) {
				$fp = fopen(R.'key.php', "w");
				$content  = "<?php\n";
				$content .= "	define('sxl', '".$_SESSION['settings']['sxl']."');\n";
				$content .= "?>\n";
				fwrite($fp, $content);
				fclose($fp);
						}
						
				if($a->w==1) {
				$fp = fopen(R.'webroot/smartstat/key.php', "w");
				$content  = "<?php\n";
				$content .= '
	if(!(defined("__SWTPHPCounter") && __SWTPHPCounter))
	{
		echo "Извините вы не туда попали";
		exit;
	}

	define("xl", "'.$_SESSION['settings']['sxl2'].'");';
				$content .= "?>\n";
				fwrite($fp, $content);
				fclose($fp);
				}
				

				
				// УСТАНОВКА АККАУНТА
				$is_db_sel  = false;
				$is_connect = @mysql_connect($_SESSION['settings']['db']['host'], $_SESSION['settings']['db']['user'], $_SESSION['settings']['db']['pass']);
				if($is_connect) {
					if($is_db_sel = @mysql_select_db($_SESSION['settings']['db']['name'])) {
						$login = $_SESSION['settings']['admin']['login'];
						$pass  = $_SESSION['settings']['admin']['pass'];
						mysql_query('SET charset utf8');
						
							$files = array('dump_structure.sql');
						if(!empty($_POST['demo']) ) {
							if($_POST['demo'] == 'cleardata') {
								$files[] = dvf('dump_insert_1.sql');
							} elseif($_POST['demo'] == 'demodata') {
								$files[] = dvf('dump_insert_1.sql');
								$files[] = dvf('dump_insert_2.sql');
							}
							
							// ЗАЛИВКА ДАМПА СТРУКТУРЫ БАЗЫ ДАННЫХ						
							foreach($files as $n => $file) {
								if(file_exists($file) && filesize($file) && $is_db_sel) {
									
									$fp = fopen($file, "r");
									$content = fread($fp, filesize($file));
									fclose($fp);
									
									$content=iconv('windows-1251','utf-8', $content);
									$content=preg_replace("/^#.*?$/im", "", $content);

									
									if($file == 'dump_structure.sql') {
										$content=preg_replace("/\r\n/im", '', $content);
										$content=preg_replace("/;/im", ";\n", $content);
									}
									$content=preg_replace("/(CREATE|DROP|INSERT)/m", "\n$1 ", $content);
									
									
									
									
									preg_match_all('%^((CREATE|DROP|INSERT).*);[\s]*(?=(^--|^CREATE|^DROP|^INSERT|\z))%Uisum',$content,$art);
									
									
									foreach($art[0] as $i => $v) {
										//print $v."<br>";
										//echo "<b>".mysql_query(trim($v))."</b><br>";
										mysql_query(trim($v));
										//print_r($v);
										//print "<hr>";
									}
									//и зачем надо импортировать построчно??
									 
								}
							}
							
 							//$_SESSION['settings']['db']['old_config'] = array();
							//$_SESSION['settings']['db']['old_user'] = array();
						}

						
						// УСТАНОВКА КОНФИГА В БД
					
						if ($_SESSION['settings']['db']['old_user']) {
							mysql_query('UPDATE `sc_admin` SET `login` = "'.$login.'", `password` = "'.md5($pass).'", `state` = "0"');
						} else {
							mysql_query('INSERT INTO `sc_admin` SET `login` = "'.$login.'", `password` = "'.md5($pass).'", `state` = "0"');
						}
						
						$shop_name_data 	= '`value` = "'.V($_SESSION['settings']['shop']['shop_name']).'"';
						$email_notice_data  = '`value` = "'.V($_SESSION['settings']['shop']['order_email']).'"';
						$email_main_data 	= '`value` = "'.V($_SESSION['settings']['shop']['admin_email']).'"';
						$cur_title          = V($_SESSION['settings']['shop']['currency_title']);
						$cur_name           = V($_SESSION['settings']['shop']['currency_name']);
						$cur_code           = V($_SESSION['settings']['shop']['currency_code']);
						
							mysql_query('UPDATE `sc_config` SET '.$shop_name_data.' WHERE `name` = "CONF_SHOP_NAME"');
							mysql_query('UPDATE `sc_config` SET '.$email_notice_data.' WHERE `name` = "CONF_EMAIL_NOTICE"');
							mysql_query('UPDATE `sc_config` SET '.$email_main_data.' WHERE `name` = "CONF_EMAIL_MAIN"');
						
							mysql_query('DELETE FROM `sc_currency`');
							mysql_query('INSERT INTO `sc_currency` SET `title` = "'.$cur_title.'", `print` = "'.$cur_name.'", `rate_out` = "1", `rate_in` = "1", `code` = "'.$cur_code.'", `active` = "1"');
							mysql_query('UPDATE `sc_config` SET `value`="'.$cur_code.'" WHERE `name` = "CONF_DEFAULT_CURRENCY"');
					}
				}
				// КОПИРОВАНИЕ ФАЙЛОВ
				if(!empty($copy_dirs)) {
					foreach($copy_dirs as $i => $_path_set) {
						copy_data_req($_path_set[0], $_path_set[1]);
					}
				}
				$_SESSION['settings']['complete'] = true;
				
				$_SESSION['admin']['login'] = $login;
				$_SESSION['admin']['pass']  = get_salt_pass(md5($pass));
				$is_auth = get_auth_state();
				
				header("Location: /webroot/install/step_f");
				break;
			// === ШАГ ТЕСТИРОВАНИЯ СОЕДИНЕНИЯ БАЗЫ ДАННЫХ
			case 'db_test':
				$_SESSION['settings']['db']['run'] = true;
				if(!empty($_POST['host']) && !empty($_POST['user']) && isset($_POST['pass'])) {
					$db_host = $_POST['host'];
					$db_user = $_POST['user'];
					$db_pass = $_POST['pass'];
					$is_connect = (bool)@mysql_connect($db_host, $db_user, $db_pass);
					if($is_connect) {
						$_SESSION['settings']['db']['host'] = $db_host;
						$_SESSION['settings']['db']['user'] = $db_user;
						$_SESSION['settings']['db']['pass'] = $db_pass;
						$_SESSION['settings']['db']['set']  = true;
					}
				}
				break;
			// === ШАГ ТЕСТИРОВАНИЯ ДОСТУПА К КОНКРЕТНОЙ БАЗЕ ДАННЫХ
			case 'db_set_name':
				if(isset($_POST['db_name'])) {
					$db_name = $_POST['db_name'];
					$is_connect = @mysql_connect($_SESSION['settings']['db']['host'], $_SESSION['settings']['db']['user'], $_SESSION['settings']['db']['pass']);
					if($is_connect) {
						$_SESSION['settings']['db']['run_name'] = true;
						if(@mysql_select_db($db_name)) {
							$_SESSION['settings']['db']['name'] = $db_name;
						} else {
							$_SESSION['settings']['db']['name'] = '';
						}
					}
				}
				break;
			// === ШАГ УСТАНОВКИ АККАУНТА АДМИНА
			case 'set_account':
				$login  = $_POST['admin_login'];
				$pass_1 = $_POST['admin_pass'];
				$pass_2 = $_POST['admin_pass2'];
				$_SESSION['settings']['admin']['login'] = 'admin';
				$_SESSION['settings']['admin']['pass']  = '';
				
				if($login != '' && $pass_1 != '' && $pass_2 != '') {
					if($pass_1 == $pass_2) {
						if(strlen($pass_1) >= 3) {
							$_SESSION['settings']['admin']['login'] = $login;
							$_SESSION['settings']['admin']['pass']  = $pass_1;
							$_SESSION['settings']['admin']['state'] = 1;
						} else {
							$_SESSION['settings']['admin']['state'] = -3;
										}
					} else {
						$_SESSION['settings']['admin']['state'] = -2;
					}
				} else {
					$_SESSION['settings']['admin']['state'] = -1;
				}
				
				if($a->w==1) {
					$_SESSION['settings']['sxl']=$_POST['smartcart'];
					$_SESSION['settings']['sxl2']=$_POST['smartstat'];
				}
				if($a->w==2) {
					$_SESSION['settings']['sxl']=$_POST['smartcart'];
				}
			 break;
			// === ШАГ УСТАНОВКИ НАСТРОЕК МАГАЗИНА
			case 'set_shop_settings':
				$shop_name   		= $_POST['shop_name'];
				$admin_email 		= $_POST['admin_email'];
				$order_email 		= $_POST['order_email'];
				$currency_title     = $_POST['currency_title'];
				$currency_name      = $_POST['currency_name'];
				$currency_code      = $_POST['currency_code'];
				
				$_SESSION['settings']['shop']['shop_name']   = 'Имя Вашего магазина';
				$_SESSION['settings']['shop']['admin_email'] = '';
				$_SESSION['settings']['shop']['order_email'] = '';
				
				if($shop_name != '' && $admin_email != '' && $order_email != '') {
					if(preg_match(IS_EMAIL, $admin_email)) {
						if(preg_match(IS_EMAIL, $order_email)) {
							$_SESSION['settings']['shop']['shop_name']   		= $shop_name;
							$_SESSION['settings']['shop']['admin_email'] 		= $admin_email;
							$_SESSION['settings']['shop']['order_email'] 		= $order_email;
							$_SESSION['settings']['shop']['currency_title'] 	= $currency_title;
							$_SESSION['settings']['shop']['currency_name']   	= $currency_name;
							$_SESSION['settings']['shop']['currency_code']      = $currency_code;
							$_SESSION['settings']['shop']['state'] = 1;
						} else {
							$_SESSION['settings']['shop']['state'] = -3;
						}
					} else {
						$_SESSION['settings']['shop']['state'] = -2;
					}
				} else {
					$_SESSION['settings']['shop']['state'] = -1;
				}
			 break;
		}
	}
	
	$is_complete = !empty($_SESSION['settings']['complete']);
	
	// SET/UNSET ACTIONS
	$is_licence         = !empty($_SESSION['settings']['licence']);
	
	$is_set_db          = !empty($_SESSION['settings']['db']['set']);
	$is_set_db_name     = !empty($_SESSION['settings']['db']['name']);
	$is_set_admin       = ($_SESSION['settings']['admin']['state'] == 1);
	$is_set_shop        = ($_SESSION['settings']['shop']['state']  == 1);
	$is_set_zend        = ($_SESSION['settings']['server']['is_set_zend_opt']);
	$is_set_gd          = ($_SESSION['settings']['server']['is_set_gd']);
	$is_set_iconv       = ($_SESSION['settings']['server']['is_set_iconv']);
	//$is_set_sxml        = ($_SESSION['settings']['server']['is_set_sxml']);
	$is_set_mod_rewrite = ($_SESSION['settings']['server']['mod_rewrite']);
	$is_set_fs_access   = ($_SESSION['settings']['server']['fs_access']);
	
	$is_finished        = ($is_set_db && $is_set_db_name && $is_set_admin && $is_set_shop && $is_set_gd && $is_set_zend && $is_set_iconv && $is_set_mod_rewrite && $is_set_fs_access);

	// SET/UNSET MENU ITEMS
	$Is = (($is_set_db && $is_set_zend && $is_set_gd && $is_set_iconv && $is_set_mod_rewrite && $is_set_fs_access) ? '2' : ((!$is_set_zend || !$is_set_gd || !$is_set_iconv || !$is_set_mod_rewrite || !$is_set_fs_access) ? '3' : '0'));
	$I1 = (($is_set_db && $is_set_db_name) ? '2' : (($is_set_db) ? (($_SESSION['settings']['db']['run_name']) ? '3' : '4') : (($_SESSION['settings']['db']['run']) ? '3' : '0')));
	$I2 = (($is_set_admin) ? '2' : ((!$_SESSION['settings']['admin']['state']) ? '0' : '3'));
	$I3 = (($is_set_shop)  ? '2' : ((!$_SESSION['settings']['shop']['state'])  ? '0' : '3'));
	$I0 = (($is_complete)  ? '2' : (($I1 == 3 || $I2 == 3 || $I3 == 3 || $Is == 3) ? '3' : '0'));
	
	$IBD = ($_SESSION['settings']['db']['old_config']) ? '1' : '0';
	// MINI-DISPATCHER =)
	
	if(!$is_auth) {
		$_out = file_get_contents('login.sct');
		require_once('layout_login.sct');
		die();
	}
	
	if(!$is_licence) {
		$act = 'step_l';
	} else {
		if($is_complete) {
			$act = 'step_f';
		} else {
			$act = 'step_s';
			if(!empty($_GET['url'])) {
				switch($_GET['url']) {
					case 'step_0' : $act = 'step_0'; break;
					case 'step_1' : $act = 'step_1'; break;
					case 'step_2' : $act = 'step_2'; break;
					case 'step_3' : $act = 'step_3'; break;
					case 'step_4' : $act = 'step_4'; break;
				}
			}
		}
	}

	$layout = 'layout';

	ob_start();
		require_once $act.'.sct';
	$_out = ob_get_clean();
	
	require_once $layout.'.sct';
?>