<?php

class Payment extends Controller {

	// МАССИВ ВАЛИДАЦИИ
	var $validate = array(
		'payment' => array(
			array('field' => 'title', 'rule' => NOT_EMPTY, 'error' => LNG_A_PAYMENT_VALID_SEL_SP)
		)
	);

	
	function get_payment_beforesend($params) {
		include_once($params['file']);
			return payment_beforesend($params['payment_beforesend']);
	}

	function get_payment_aftersend($params) {
		include_once($params['file']);
			return payment_aftersend($params['payment_aftersend']);
	}
	
	//POST
	function get_post_element($_data) {
		$return = array();
	
		if(!empty($_data['action'])) {
			switch($_data['action']) {
				case 'save':
					if(!empty($_data['elements'])) {
						foreach($_data['elements'] as $k => $v) {
							$this->save_element($k, $v);
						}
						$this->dispatcher->redirect('/admin/p/6/modules/payment_all_list');
					}
					break;
				case 'add':
					if(!empty($_data['fname'])) {
						$this->dispatcher->redirect('/admin/p/6/payment/payment_'.V($_data['fname']).'/add_new');
					}
					break;
				case 'edit':
					if(!empty($_data['id'])) {
						$db_result = $this->db_query('SELECT `name`, `uid` FROM `sc_payment_element` WHERE `id` = "'.$_data['id'].'" LIMIT 1');
						$row = mysql_fetch_assoc($db_result);
						$this->dispatcher->redirect('/admin/p/6/payment/payment_'.strtolower($row['name']).'/'.$row['uid']);
					}
					break;
				case 'add_run':
					if(isset($_data['cancel']) || isset($_data['cancel_x'])) {
						$this->dispatcher->redirect('/admin/p/6/payment/payment_all_list');
					}
					$_is_fill = false;
					if(!empty($_data['config']) && !empty($_data['fname'])) {
						$_is_fill = true;
						foreach($_data['config'] as $i => $field) {
							if($field == '') {
								$_is_fill = false;
								break;
							}
						}
					}
					if($_is_fill) {
						$count_el = $this->get_count(array('tbl_name'=>'payment_element','where'=>array('name'=>$_data['fname'])));
						$this->db_query('INSERT INTO `sc_payment_element` SET `name` = "'.V($_data['fname']).'", `uid` = "'.($count_el+1).'", `config` = "'.V(serialize($_data['config'])).'"');
						$this->dispatcher->redirect('/admin/p/6/payment/payment_all_list');
					} else {
						$return['errors']['is_not_filled'] = $this->validate_set_error(LNG_VALIDATE_DONOTENTER_ALL);
						$return['values'] = $_data;
					}
					break;
				case 'edit_run':
					if(isset($_data['cancel']) || isset($_data['cancel_x'])) {
						$this->dispatcher->redirect('/admin/p/6/payment/payment_all_list');
					}
					$_is_fill = false;
					if(!empty($_data['config']) && !empty($_data['id'])) {
						$_is_fill = true;
						foreach($_data['config'] as $i => $field) {
							if($field == '') {
								$_is_fill = false;
								break;
							}
						}
					}
					if($_is_fill) {
						$query='UPDATE `sc_payment_element` SET `config` = "'.V(serialize($_data['config'])).'" WHERE `id` = "'.V($_data['id']).'"';
						$this->db_query($query);
						$this->dispatcher->redirect('/admin/p/6/payment/payment_all_list');
					} else {
						$return['errors']['is_not_filled'] = $this->validate_set_error(LNG_VALIDATE_DONOTENTER_ALL);
						$return['values'] = $_data;
					}
					break;
				case 'delete': 
					if(!empty($_data['id'])) {
						$db_result = $this->db_query('DELETE FROM `sc_payment_element` WHERE `id` = "'.$_data['id'].'" LIMIT 1');
						$db_result = $this->db_query('UPDATE `sc_payment` SET `element_id` = "0" WHERE `element_id` = "'.V($_data['id']).'"');
					}
					$this->dispatcher->redirect('/admin/p/6/payment/payment_all_list');
					break;
			}
		}
		
		return $return;
	}
	
	function save_element($class, $state) {
		$classtitle = $this->get_classtitle_element_by_classname($class);
		$db_result = $this->db_query('SELECT `id` FROM `sc_payment_element` WHERE `class_name` = "'.$class.'" LIMIT 1');
		if(mysql_num_rows($db_result)) {
			$row = mysql_fetch_assoc($db_result);
			return $this->db_query('UPDATE `sc_payment_element` SET `state` = "'.V($state).'"'.(!empty($classtitle) ? ', `class_title`="'.V($classtitle).'"' : '').' WHERE `id` = "'.V($row['id']).'"');
		} else {
			return $this->db_query('INSERT INTO `sc_payment_element` SET `class_name` = "'.V($class).'", `state` = "'.V($state).'"'.(!empty($classtitle) ? ', `class_title`="'.V($classtitle).'"' : ''));
		}
	}
	
	function get_post_payment_list($_data) {
		$return = array();
	
		if(!empty($_data['action'])) {
			switch($_data['action']) {
				case 'add':	 $this->dispatcher->redirect('/admin/p/6/payment/payment_add'); break;
				case 'edit': $this->dispatcher->redirect('/admin/p/6/payment/payment_edit/'.(int)$_data['id']);	break;
				case 'add_run':
					if(isset($_data['cancel']) || isset($_data['cancel_x'])) {
						$this->dispatcher->redirect('/admin/p/6/payment/payment_list');
					}
					if($this->validate($_data, 'payment')) {
						$this->db_query('INSERT INTO `sc_payment` SET `title` = "'.V($_data['title']).'", `comment` = "'.V($_data['comment']).'", `description` = "'.V($_data['description']).'", `element_id` = "'.V($_data['element_id']).'", `delivery_list` = "'.V(serialize($_data['delivery_list'])).'", `order` = "0"');
						$this->dispatcher->redirect('/admin/p/6/payment/payment_list');
					} else {
						$return['errors'] = $this->validate_errors();
					}
					break;
				case 'edit_run':
					if(isset($_data['cancel']) || isset($_data['cancel_x'])) {
						$this->dispatcher->redirect('/admin/p/6/payment/payment_list');
					}
					if($this->validate($_data, 'payment') && !empty($_data['id'])) {
						$this->db_query('UPDATE `sc_payment` SET `title` = "'.V($_data['title']).'", `comment` = "'.V($_data['comment']).'", `description` = "'.V($_data['description']).'", `element_id` = "'.V($_data['element_id']).'", `delivery_list` = "'.V(serialize($_data['delivery_list'])).'" WHERE `id` = "'.V($_data['id']).'"');
						$this->dispatcher->redirect('/admin/p/6/payment/payment_list');
					} else {
						$return['errors'] = $this->validate_errors();
					}
					break;
				case 'delete':
					if(!empty($_data['id'])) {
						$this->db_query('DELETE FROM `sc_payment` WHERE `id` = "'.$_data['id'].'" LIMIT 1');
					}
					break;
			}
		
		}
		return $return;
	}
	
	// GETTERS
	
	function get_all_payment_list() {
		$db_result = $this->db_query('SELECT * FROM `sc_payment`');
		$list = $this->db_get_all_content($db_result);
		
		return $list;
	}
	
	function get_all_payment_list_by_delivery($params) {
		$db_result = $this->db_query('SELECT * FROM `sc_payment`');
		$list = $this->db_get_all_content($db_result);
		$new_list = array();
		foreach ( $list as $i=>$v ) {
			$delivery_matching_array = unserialize($v['delivery_list']);
			if ( $delivery_matching_array[ $params['delivery'] ] ) {
				$new_list[] = $v; 
			}
		}
		return $new_list;
	}
	
	function get_all_payment_element_list() {
		$db_result = $this->db_query('SELECT * FROM `sc_payment_element` WHERE `state` = "1"');
		$list = $this->db_get_all_content($db_result);
		
		return $list;
	}
	
	function get_payment_item($id) {
		$db_result = $this->db_query('SELECT * FROM `sc_payment` WHERE `id` = "'.$id.'"');
		$item = mysql_fetch_assoc($db_result);
		return $item;
	}
	
	function get_active_elements() {
		$db_result = $this->db_query('SELECT * FROM `sc_payment_element` WHERE `state` = "1"');
		$list = $this->db_get_all_content($db_result);
		return $list;
	}
	
	function get_load_act_elements() {
		$db_result = $this->db_query('SELECT `id`, `name`, `uid` FROM `sc_payment_element` ORDER BY `name` ASC, `uid` ASC');	
		return $this->db_get_all_content($db_result);
	}
	
	function get_element_item($f) {
		$result_db = $this->db_query('SELECT * FROM `sc_payment_element` WHERE `name` = "'.$f['fname'].'" AND `uid` = "'.$f['uid'].'" LIMIT 1');
		return mysql_fetch_assoc($result_db);
	}
	
	
	function load_conf($filename) {
	if(!is_dir($filename) && $this->is_element_conf($filename)) {
				if(file_exists($filename)) {
					require_once($filename);
					$payment_el['name']  = $EL_NAME;
					$payment_el['title'] = $EL_TITLE;
					$payment_el['description']  = $EL_DESCRIPTION;
					$payment_el['support_free'] = $EL_SUPPORT_FREE;
					$payment_el['support_demo'] = $EL_SUPPORT_DEMO;
				}
			}
			return $payment_el;
		}
	
	function get_load_all_elements() 
	{
		$dirname = MD.'payment'.S.'admin'.S;
		$dir_ptr = dir($dirname);
		$elements = array();
		
		while($name = $dir_ptr->read()) 
		{
			$filename = $dirname.$name;
			if(is_dir($filename) && $name!='.' && $name!='..') 
			{
				$fs=scandir($filename);
				foreach($fs as $f) 
				{
					$files=$this->load_conf($filename.S.$f);
					if(!empty($files)) { $elements[] = $files; }
				}
			}
					
			$files=$this->load_conf($filename);
			if(!empty($files)) { $elements[] = $files; }
			
		}
		unset($EL_NAME);
		unset($EL_TITLE);
		unset($EL_DESCRIPTION);
		
		// Млин везде такая фигня, ZEND никуя не понимают его
		$new = array();
		foreach($elements as $i => $v) 
		{
			//$elements[$v['name']] = $elements[$i];
			$new[$v['name']] = $elements[$i];
			//unset($elements[$i]);
		}
		return $new;
	}
	
	// PRIVATE
	
	function is_element_conf($fn) {
		return ($fn != '.' && $fn != '..' && substr($fn, -(strlen(PHPCONF))) == PHPCONF && $fn != 'payment.php');
	}

	function get_classtitle_element_by_classname($classname) {
		$this->get_load_elements();
		if(!empty($this->elements)) {
			foreach($this->elements as $i => $v) {
				if($v['classname'] == $classname) {
					return $this->elements[$i]['classtitle'];
				}
			}
		}
		return '';
	}

	function get_serial_element(&$a) {
		$conf = $a;
		if(isset($conf['id'])) unset($conf['id']);
		if(isset($conf['action'])) unset($conf['action']);
		if(isset($conf['x'])) unset($conf['x']);
		if(isset($conf['y'])) unset($conf['y']);
		//var_dump($conf); die();
		return serialize($conf);
	}
}

?>