<xsl:template match="info">
Блок поиска
</xsl:template>

<xsl:template match="view">
	
		<xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('_search_navigation'), /view/nav_config)"/>  
			
				<xsl:if test="/view/result/product_list">
					<p><xsl:value-of disable-output-escaping="yes" select="php:function('constant', 'LNG_SH_SEARCH_PHRASE')" /> &laquo;<span style="font-weight:bold; color:#000000;"><xsl:value-of disable-output-escaping="yes" select="/view/result/phrase/text()" />&raquo;</span></p>
					<p><xsl:value-of disable-output-escaping="yes" select="php:function('constant', 'LNG_SH_SEARCH_COUNT_PAGE')" /> <span style="font-weight:bold; color:#000000;"><xsl:value-of disable-output-escaping="yes" select="/view/result/count_all/text()" /></span></p>
					<p>&nbsp;</p>
						<xsl:for-each select="/view/result/product_list">
							<p  style="font-weight:bold;">
								<xsl:value-of disable-output-escaping="yes" select="(position())+(/view/result/page/text()-1)*10" />.&nbsp;
								<a class="catalog_preview" href="/product/{id/text()}"><xsl:value-of disable-output-escaping="yes" select="title/text()" /></a>
							</p>
							<p><xsl:value-of disable-output-escaping="yes" select="prev_text/text()" /></p>
							<p><small><a class="" href="/product/{id/text()}/">
								<xsl:value-of disable-output-escaping="yes" select="php:function('constant', 'HR')" />product/
								<xsl:value-of disable-output-escaping="yes" select="id/text()" /></a></small></p>
							<p>&nbsp;</p>
						</xsl:for-each>
					
					</xsl:if>

					<xsl:if test="not(/view/result/product_list)">
						<p><xsl:value-of disable-output-escaping="yes" select="php:function('constant', 'LNG_SH_SEARCH_PHRASE')" /> 
						<span style="font-weight:bold; color: #000000;">&laquo;<xsl:value-of disable-output-escaping="yes" select="/view/result/phrase/text()" />&raquo;</span>
						<br/>
						<xsl:value-of disable-output-escaping="yes" select="php:function('constant', 'LNG_SH_SEARCH_BUMADI')" />
						</p>
					</xsl:if>
					
		<xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('_search_navigation'), /view/nav_config)"/>  
				
</xsl:template>


<xsl:template match="block"> <!-- здесь выводим результат процессинга view (то что выше) в блок -->
	<xsl:variable name="view">
		<![CDATA[
			<_xsl>_block_content02</xsl>
		]]>
	</xsl:variable>
	
	<!-- для переопределения входного массива надо добавить переменную в вызов:
	<xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('_block_common'), /block/block_arr, $view)"/> 
	текущий пример переназначит блок для вывода -->
	
	<xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('_block_common'), /block/block_arr)"/>  
</xsl:template>
