<xsl:param name="info">
Блок аутентификации
</xsl:param>

<xsl:template match="view">
			<xsl:if test="/view/is_auth != '0'">
			
			
					<form method="POST">
					<input type="hidden" name="action2" value="logout_run" />
					<table id="auth_block">
						<tr><td id="auth_header"><xsl:value-of select="/view/block/title" /></td></tr>
						<tr><td class="auth_button2"><table>
									<tr><td class="auth_title"><xsl:value-of  disable-output-escaping="yes" select="/view/user/surname/text()"/>&nbsp;<xsl:value-of  disable-output-escaping="yes" select="/view/user/name/text()"/></td></tr>
									<tr><td class="auth_links"><a class="auth" href="/profile/"><xsl:value-of select="php:function('constant', 'LNG_SH_GO_PROFILE')" /></a></td></tr>
									<tr><td class="auth_button">					
										<input type="submit" value="{php:function('constant', 'LNG_SH_LOGOUT')}" class="btn_logout" />
									</td></tr>
						</table></td></tr>
						<tr><td id="auth_footer"></td></tr>
					</table>
					</form>
					<div class="clear"></div>

			</xsl:if>

			<xsl:if test="/view/is_auth = '0'">
			
				<form method="POST">
				<input type="hidden" name="action" value="authentication_run" />
				<table id="auth_block">
					<tr><td id="auth_header"><xsl:value-of select="/view/block/title" /></td></tr>
					
					<xsl:if test="not(/view/return_auth/state)">					
					<tr><td class="auth_title" style="font-weight: normal"><xsl:value-of select="php:function('constant', 'LNG_SH_YOU_DONOTACTIVETED')" /></td></tr>
					</xsl:if>
					<xsl:if test="not(/view/return_auth/errors/email) and not(/view/return_auth/errors/password) and /view/return_auth/values">
						<tr><td class="auth_title" style="font-weight: normal"><xsl:value-of select="php:function('constant', 'LNG_SH_AUTH_ERROR')" /></td></tr>
					</xsl:if>
					<xsl:if test="(/view/return_auth/errors/email)">
						<tr><td class="auth_title" style="font-weight: normal"><xsl:value-of  disable-output-escaping="yes" select="/view/return_auth/errors/email/text()"/></td></tr>
					</xsl:if>

					<xsl:if test="(/view/return_auth/errors/password)">
						<tr><td class="auth_title" style="font-weight: normal"><xsl:value-of  disable-output-escaping="yes" select="/view/return_auth/errors/password/text()"/></td></tr>
					</xsl:if>

					<tr><td class="auth_title">E-mail:</td></tr>
					<tr><td class="auth_title"><input type="text" class="auth_text" name="email" value="{/view/return_auth/values/email/text()}" /></td></tr>
					<tr><td class="auth_title"><xsl:value-of select="php:function('constant', 'LNG_SH_PASSWORD')" /></td></tr>
					<tr><td class="auth_title"><input type="password" class="auth_text" value="" name="password" /></td></tr>
					<tr><td class="auth_button">		
						<input type="submit" class="btn_enter" value="{php:function('constant', 'LNG_BTN_ENTER')}" />
					</td></tr>
					<tr><td class="auth_links"><a class="auth" href="/forgot/"><xsl:value-of select="php:function('constant', 'LNG_SH_ZABILI_PAROL')" /></a></td></tr>
					<tr><td class="auth_links"><a class="auth" href="/registration/"><xsl:value-of select="php:function('constant', 'LNG_SH_REG_BUDEW')" /></a><br />&nbsp;</td></tr>
					<tr><td id="auth_footer"></td></tr>
				</table>
				</form>
			</xsl:if>			
	
</xsl:template>