<xsl:param name="info">
Форма аутентификации
</xsl:param>

<xsl:template match="view">

<form method="POST">
<input type="hidden" name="action" value="authentication_run" />
<table class="content_table">
	<tr><td class="content_top_left"></td>
		<td class="content_top_center"><xsl:value-of select="/view/title" /></td>
		<td class="content_top_right"></td></tr>
	<tr><td class="content_middle_left"><div class="null"></div></td>
		<td class="content_main" rowspan="2">
			<xsl:if test="/view/is_down_mode != '0'">
				<p class="reg"><b><xsl:value-of select="php:function('constant', 'LNG_SH_IAMNEWUSER')" /></b> &raquo; <a class="auth" href="/registration/"><b><xsl:value-of select="php:function('constant', 'LNG_SH_REG_BUDEW')" /></b></a></p>
				<xsl:value-of  disable-output-escaping="yes" select="/view/woregistration/text()"/>
				<p class="reg"><b><xsl:value-of select="php:function('constant', 'LNG_SH_I_UJE_SVOY')" /></b></p>
			</xsl:if>
					

			<table id="auth_block2">

				<xsl:if test="/view/return_auth/state and not(/view/return_auth/state)">
					<tr><td class="auth_title"><div class="error"><xsl:value-of select="php:function('constant', 'LNG_SH_DONOTACTIVE')" /></div></td></tr>
				</xsl:if>

			<xsl:if test="not(/view/return_auth/errors/email) and not(/view/return_auth/errors/password) and /view/return_auth/values">
				<span class="err_auth"><xsl:value-of select="php:function('constant', 'LNG_SH_AUTH_ERROR')" /></span>
			</xsl:if>

				<tr><td class="auth_title"><p class="reg"><xsl:value-of select="php:function('constant', 'LNG_SH_EMAIL')" /><br />
						<input type="text" class="reg" name="email" value="{/view/return_auth/values/email/text()}" /><br />
						<xsl:if test="(/view/return_auth/errors/email)">
							<xsl:value-of  disable-output-escaping="yes" select="/view/return_auth/errors/email/text()"/>
						</xsl:if>

					</p></td></tr>
				<tr><td class="auth_title"><p class="reg"><xsl:value-of select="php:function('constant', 'LNG_SH_PASSWORD')" />:<br />
						<input type="password" class="reg" value="" name="password" /><br />						
						<xsl:if test="(/view/return_auth/errors/password)">
							<xsl:value-of  disable-output-escaping="yes" select="/view/return_auth/errors/password/text()"/>
						</xsl:if>	
						</p>
						</td></tr>
				<tr><td class="auth_button"><input type="submit" class="btn_enter" value="{php:function('constant', 'LNG_BTN_ENTER')}" /></td></tr>
				<tr><td class="auth_links"><a class="auth" href="/forgot/"><xsl:value-of select="php:function('constant', 'LNG_SH_ZABILI_PAROL')" /></a></td></tr>
				<xsl:if test="/view/is_down_mode = '0'">
				<tr><td class="auth_links"><a class="auth" href="/registration/"><xsl:value-of select="php:function('constant', 'LNG_SH_REG_BUDEW')" /></a></td></tr>
				</xsl:if>
			</table>
		</td>
		<td class="content_middle_right"></td></tr>
	<tr><td class="content_bottom_left"></td>
		<td class="content_bottom_right"></td></tr>
</table>		
</form>

</xsl:template>