<xsl:param name="info">
Классификаторы
</xsl:param>


<xsl:template match="view">

	<xsl:if test="/view/block/data">
		<table id="black_block">
			<tr><td id="black_header"><xsl:value-of  disable-output-escaping="yes" select="/view/block/title/text()"/></td></tr>
			<tr><td id="black_content">

			<table width="100%" style="background-color: #FFFFFF;">
			<xsl:for-each select="/view/block/data/k">
				
				<tr><td align="center" width="1%" style="padding:2px 0px">
					<xsl:if test="src/text() != ''">
						<div>
							<a href="/classifier/{id/text()}/">
								<img src="{src/text()}?{image_flush/text()}" border="0" />
							</a>
						</div>
					</xsl:if>
					</td><td align="center">
							<p style="padding: 0px 2px; margin: 2px 0px; font-size: 12px;">								
								<a class="page_navigation" style="font-weight: bold;" href="/classifier/{id/text()}/"><xsl:value-of  disable-output-escaping="yes" select="title/text()"/></a>
							</p>
				</td></tr>
				
			</xsl:for-each>
			
			</table>

			</td></tr>	
		</table>

	</xsl:if>
	
</xsl:template>
