<xsl:param name="info">
Заголовки
</xsl:param>


<xsl:template match="view">

<xsl:value-of  disable-output-escaping="yes" select="/view/gallery"/>  

<!--<xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('gallery_header/gallery_header_choice'), /view/over_use/value)" />-->


<xsl:if test="/view/banner/text()='banner_user'">

	<tr>
		<td id="top_row">
			<div id="top_bar">
				<div id="top_abs_left"></div>
				<div id="top_abs_right"></div>
			</div>
		</td>
	</tr>
	<tr>
		<td id="header_row">
			<table id="header_row_inside">
				<tr>
					<td id="logo_place">
						<div id="logo_place">
							<xsl:variable name="params">
								<![CDATA[
									<name>logo</name>
									<format>png:skip</format>
									<mode>logo</mode>
									<w>272</w>
									<h>107</h>
								]]>
							</xsl:variable>						
							<xsl:variable name="logo_file" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_action', string('smartimage,get_any'), '', $params)" />						
							<a href="/"><img src="{$logo_file}" border="0" /></a>
						</div>
					</td>
					<td id="banner_place">
						<xsl:if test="/view/banner_view/text() = '1'">
							<xsl:variable name="params">
								<![CDATA[1]]>
							</xsl:variable>
							<xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('_banner'), '', $params)"/>
						</xsl:if>
					</td>
				</tr>
			</table>
		</td>
	</tr>	
 </xsl:if>

<xsl:if test="/view/banner/text()='shapka'">
	<tr>
		<td>
			<style>
				#over p { 
					padding:0px;
					margin:0px;
				}
			</style>
				<div id="over" style='border:none; background-color:#FFFFFF;padding-bottom:1px;'>
					<xsl:value-of  disable-output-escaping="yes" select="/view/over/text/text()"/> 
				</div>
		</td>
		<td id="banner_place">
			<xsl:if test="/view/banner_view/text() = '1'">
				<xsl:variable name="params">
					<![CDATA[1]]>
				</xsl:variable>
				<xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('_banner'), '', $params)"/>
			</xsl:if>
		</td>
	</tr>
 </xsl:if>

</xsl:template>