<xsl:param name="info">
Предпросмотр продукта
</xsl:param>

<!--<xsl:template name="rating_for">
    <xsl:param name="i" select="1" />
    <xsl:param name="count" />
    <xsl:param name="text" />
    
	<img alt="{$text}" title="{$text}" src="/rel/shop/music/images/rating_act.jpg" />

    <xsl:if test="$i &lt; $count">
        <xsl:call-template name="rating_for">
            <xsl:with-param name="i" select="$i + 1"/>
            <xsl:with-param name="count" select="$count"/>
        </xsl:call-template>
    </xsl:if>
</xsl:template>-->

<xsl:template match="view">

<tr><td class="content_list_item">
		<form action="/basket/add/{/view/product/id/text()}" name="product_form_{/view/product/id/text()}" method="POST">
		<table class="catalog_preview"><tr>
			<td class="catalog_preview_photo">
					<xsl:if test="/view/product/is_new='1'">
					<center><div style="background: url('/rel/shop/magicdark/images/new_product.gif') no-repeat; width:75px;padding-top:3px; height:17px;font-size:11px;color:#ffffff; font-weight:bold;">
						<xsl:value-of  disable-output-escaping="yes"  select="php:function('constant', 'LNG_SH_NEWWW')" />
					</div></center>
					</xsl:if>
				<div class="preview_photo">				
					<xsl:variable name="params">
						<![CDATA[
							<table>view</table>
							<mode>once</mode>
							<w>200</w>
							<h>100</h>
						]]>
					</xsl:variable>	
					<!-- настройки фотографий -->						
					<xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('gallery/shop/_gallery_product_view'),/view, $params,0)"/>  
				</div>
			</td><td class="catalog_preview_info">
					<!--<div class="short_desc"><xsl:value-of select="/view/product/short_description/text()" /></div>-->
					<h1 class="catalog_preview">
						<a class="catalog_preview" href="/product/{/view/product/id/text()}/"><xsl:value-of  disable-output-escaping="yes" select="/view/product/title/text()"/></a>
					</h1>
					
						<xsl:value-of  disable-output-escaping="yes"  select="php:function('constant', 'LNG_SH_PRICE')" />:&nbsp;
						<big><b style="color: #FFFFFF">
							<!-- Вывод цены -->
							<xsl:variable name="params">
								<![CDATA[
									<price>]]><xsl:value-of select="/view/product/price/text()" /><![CDATA[</price>
									<currency>]]><xsl:value-of select="/view/product/currency_id/text()" /><![CDATA[</currency>
								]]>
							</xsl:variable>
							<xsl:variable name="shop_price" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_action', string('currency,get_price_for_shop'), '', $params)" />						
							
							<xsl:value-of  disable-output-escaping="yes"  select="$shop_price" />
						</b></big>
						<!--
							<xsl:if test="/view/product/old_price != 0">
								<xsl:variable name="params1">
									<![CDATA[
										<price>]]><xsl:value-of select="/view/product/old_price/text()" /><![CDATA[</price>
										<currency>]]><xsl:value-of select="/view/product/currency_id/text()" /><![CDATA[</currency>
									]]>
								</xsl:variable>
								<xsl:variable name="shop_price_old" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_action', string('currency,get_price_for_shop'), '', $params1)" />

								<div class="product_skidka">
									<xsl:value-of  disable-output-escaping="yes"  select="php:function('constant', 'LNG_SH_PRICE_OLD')" />: 
									<span><xsl:value-of  disable-output-escaping="yes"  select="$shop_price_old" /></span>
								</div>
							</xsl:if>
						-->
					

					<p><xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('catalog:product_multitype:_product_multitype_product'), /view/product)"/></p>
					<!-- Корзина -->
					<xsl:if test="php:function('constant', 'CONF_SHOP_BASKET_SHOW') = 2">
						<xsl:if test="/view/product/count">
							<p><a class="to_basket" onClick="document.forms['product_form_{/view/product/id/text()}'].submit(); return false;"    href="/basket/add/{/view/product/id/text()}">								
								<xsl:value-of  disable-output-escaping="yes" select="php:function('constant', 'LNG_SH_BTN_MAGICDARK_TO_BASKET')"/>
							</a></p>
						</xsl:if>
					</xsl:if>
					
					<xsl:if test="/view/is_comparsion = 1">						
						<p><a class="simple_link" href="/comparision/add/{/view/product/id/text()}"><xsl:value-of  disable-output-escaping="yes" select="php:function('constant', 'LNG_SH_ADD_PRODUCT_IN_TABLE_SRAV')"/></a></p>
					</xsl:if>
					<xsl:if test="/view/is_comparsion != 1">						
						<p><a class="simple_link" href="/comparision" onClick="window.open('/comparision','comp','top=50, left=20, width=750,height=600,scrollbars=1'); return false"><xsl:value-of  disable-output-escaping="yes" select="php:function('constant', 'LNG_SH_GO_PRODUCT_TABLE_SRAV')"/></a></p>
					</xsl:if>							

				</td></tr>
		</table>
		</form>
		
		<xsl:variable name="params">
			<![CDATA[
				<conf>preview</conf>
			]]>
		</xsl:variable>
		<xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('catalog:product_assoc:_product_assoc_preview'), /view, $params, 0)"/>
</td></tr>			
	
</xsl:template>
