<xsl:param name="info">
Статический блок (middle)
</xsl:param>

<xsl:template match="view">

	<xsl:value-of disable-output-escaping="yes" select="/view/block_content/description/text()" />
	
</xsl:template>


<xsl:template match="block"> <!-- здесь выводим результат процессинга view (то что выше) в блок -->
	<xsl:variable name="view">
		<![CDATA[
			<_xsl>_block_content</_xsl>
		]]>
	</xsl:variable>
	
	<!-- для переопределения входного массива надо добавить переменную в вызов:
	<xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('_block_common'), /block/block_arr, $view)"/> 
	текущий пример переназначит блок для вывода -->
	
	<xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('_block_common'), /block/block_arr, $view)"/>  
</xsl:template>