<xsl:param name="info">
Корзина
</xsl:param>


<xsl:template match="view">

<table class="content2_table">
	<tr>
		<td class="content2_top_left"><div class="null c2"></div></td>
		<td class="content2_top_cloud"><div class="null cl"></div></td>
		<td class="content2_top_center">
			<h1 class="content2_top_header"><xsl:value-of  disable-output-escaping="yes" select="php:function('constant', 'LNG_SH_BASKETT')" /></h1>
			<xsl:if test="/view/result/back">
				<div class="page_navigation"><a class="page_navigation" href="{/view/result/back/text()}"><xsl:value-of  disable-output-escaping="yes" select="php:function('constant','LNG_SH_CONTINUE_BUY')" /></a></div>
			</xsl:if>
		</td>
		<td class="content2_top_right"><div class="null c2"></div></td>
	</tr>
	<tr>
		<td class="content2_main" colspan="4">
			<xsl:if test="/view/result/products">
				<form action="/basket/change">
				<table class="content_list">
					<tr>
						<td class="content_list_item header">&nbsp;</td>
						<td class="content_list_item header">&nbsp;<xsl:value-of  disable-output-escaping="yes" select="php:function('constant', 'LNG_SH_PHOTO_SHORT')" /></td>
						<td class="content_list_item header"><xsl:value-of  disable-output-escaping="yes" select="php:function('constant', 'LNG_SH_COUNT_SHORT')" /></td>
						<td class="content_list_item header"><xsl:value-of  disable-output-escaping="yes" select="php:function('constant', 'LNG_SH_PRODUCTS')" /></td>
						<td class="content_list_item header"><xsl:value-of  disable-output-escaping="yes" select="php:function('constant', 'LNG_SH_SUM')" /></td>
					</tr>
				<xsl:for-each select="/view/result/products">
					<tr>
						<td class="content_list_item"><a href="/basket/delete/{id/text()}"><img class="button" src="/rel/shop/magicdark/images/del_red_button.jpg" /></a></td>
						<td class="content_list_item basket_item">
							<div class="basket_preview">
								<xsl:variable name="params">
									<![CDATA[
										<id>]]><xsl:value-of select="id/text()" /><![CDATA[</id>
										<mode>basket_preview</mode>
										<w>100</w>
										<h>100</h>
									]]>
								</xsl:variable>								
								<xsl:variable name="img" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_action', string('smartimage,get_image_shop'), '', $params)" />
								<xsl:if test="$img != ''">
									<img src="{$img}" />
								</xsl:if>								
								<xsl:if test="$img = ''">
									<p><xsl:value-of  disable-output-escaping="yes" select="php:function('constant', 'LNG_SH_NO_PHOTO_SHORT')" /></p>
								</xsl:if>
							</div>
						</td>
						<td class="content_list_item simple">
							<input class="basket_text reg" name="count[{id/text()}]" style="width: 30px" value="{basketcount/text()}" type="text" />
						</td>
						<td class="content_list_item simple">
							<p class="basket"><a class="auth" href="/product/{id/text()}/"><xsl:value-of disable-output-escaping="yes" select="title/text()" /></a></p>
							<p class="basket" style="color: red">								
								<xsl:if test="/view/result/change_error/k[position()=id/text()] != ''">
									<xsl:value-of  disable-output-escaping="yes" select="/view/result/change_error/k[position()=id/text()]" />
								</xsl:if>
							</p>
							<p class="basket"><b style="color: #E3E301"><xsl:value-of  disable-output-escaping="yes" select="php:function('constant', 'LNG_SH_ARTIKUL')" />:</b>&nbsp;<xsl:value-of  disable-output-escaping="yes" select="code/text()" /></p>
							<p class="basket"><b style="color: #E3E301"><xsl:value-of  disable-output-escaping="yes" select="php:function('constant', 'LNG_SH_PRICE')" />:</b> <span class="white">
								<xsl:variable name="params">
									<![CDATA[
										<price>]]><xsl:value-of select="price/text()" /><![CDATA[</price>
									]]>
								</xsl:variable>								
								<xsl:variable name="shop_price" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_action', string('currency,get_price_for_shop'), '', $params)" />
								<xsl:value-of  disable-output-escaping="yes" select="$shop_price" />							
							</span></p>
						</td>
						<td class="content_list_item white">
							<xsl:variable name="params">
								<![CDATA[
									<price>]]><xsl:value-of select="basketamount/text()" /><![CDATA[</price>
								]]>
							</xsl:variable>							
							<xsl:variable name="shop_price" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_action', string('currency,get_price_for_shop'), '', $params)" />
							<xsl:value-of  disable-output-escaping="yes" select="$shop_price" />
						</td>
					</tr>
				</xsl:for-each>
					<tr><td class="content_list_item">&nbsp;</td>
						<td class="content_list_item">&nbsp;</td>
						<td class="content_list_item">&nbsp;</td>
						<td class="content_list_item header" style="text-align: right;"><xsl:value-of  disable-output-escaping="yes" select="php:function('constant', 'LNG_SH_TOTAL_SUM')" />:&nbsp;&nbsp;</td>
						<td class="content_list_item header"><b class="white" style="font-size: 12px">
							<xsl:variable name="params">
								<![CDATA[
									<price>]]><xsl:value-of select="/view/result/total_amount/text()" /><![CDATA[</price>
								]]>
							</xsl:variable>									
							<xsl:variable name="shop_price" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_action', string('currency,get_price_for_shop'), '', $params)" />							
							<xsl:value-of  disable-output-escaping="yes" select="$shop_price" />
						</b></td></tr>
				</table>	
				<p align="right"><input type="submit" value="{php:function('constant','LNG_SH_UPDATE')}" class="btn_refresh" /></p>
				</form>
				<center><a href="/order" style="display:block; background: transparent url('/rel/shop/magicdark/images/goto_order_red_button.jpg') no-repeat; color:#FFFFFF; text-decoration:none; font-size:12px; width:230px; height:18px; padding-right:20px; padding-top:2px; text-align:center;font-weight:bold;">
					<xsl:value-of  disable-output-escaping="yes" select="php:function('constant','LNG_SH_GO_ORDER')" />
				</a></center>
			</xsl:if>
			
			<xsl:if test="not(/view/result/products)">
				<p style="padding-left: 15px;">
					<xsl:value-of  disable-output-escaping="yes" select="php:function('constant','LNG_SH_BASKET_EMPTY')" />
				</p>
			</xsl:if>

	</td></tr>
	<tr><td class="content2_bottom_left"><div class="null c2"></div></td>
		<td class="content2_bottom_center" colspan="2"></td>
		<td class="content2_bottom_right"><div class="null c2"></div></td></tr>		
</table>
</xsl:template>