<xsl:param name="info">
Оформление заказа - доставка
</xsl:param>

<xsl:template match="view">
	
	
<table class="content_table">
	<tr><td class="content_top_left"></td>
		<td class="content_top_center"><xsl:value-of select="php:function('constant', 'LNG_SH_ORDER_REG')" />&nbsp;::&nbsp;<xsl:value-of select="php:function('constant', 'LNG_SH_ORDER_DELIVERY')" /></td>
		<td class="content_top_right"></td></tr>
	<tr><td class="content_middle_left"><div class="null"></div></td>
		<td class="content_main" rowspan="2">
			
			<div id="basket_status">
				<div class="clear_both"></div>
				<div class="item">
					<div class="item_pic_act"><a class="block_link" href="#"></a></div>
					<div class="item_text"><a class="simple_link" href="#"><xsl:value-of select="php:function('constant', 'LNG_SH_ORDER_DELIVERY')" /></a></div>
				</div>
				<xsl:if test="/view/step/text()  &lt; 2">
					<div class="line"></div>
				</xsl:if>
				<xsl:if test="/view/step/text()  &gt; 2">
					<div class="line_light"></div>
				</xsl:if>
				<xsl:if test="/view/step/text() = 2">
					<div class="line_light">
						<div class="line_light_grad"></div>
					</div>
				</xsl:if>
				
				<div class="item">
					<div class="item_pic">
						<xsl:if test="(/view/step/text() &gt; 2) or (/view/step/text() = 2)">
							<a class="block_link" href="/order_payment"></a>
						</xsl:if>
					</div>
					<div class="item_text">
						<xsl:if test="(/view/step/text() &gt; 2) or (/view/step/text() = 2)">
							<a class="block_link" href="/order_payment"></a>
						</xsl:if>
						<xsl:if test="(/view/step/text() &gt; 2) or (/view/step/text() = 2)">
							<a class="simple_link" href="/order_payment"><xsl:value-of select="php:function('constant', 'LNG_SH_ORDER_PAYMENT')" /></a>
						</xsl:if>
						<xsl:if test="not((/view/step/text() &gt; 2) or (/view/step/text() = 2))">							
							<xsl:value-of select="php:function('constant', 'LNG_SH_ORDER_PAYMENT')" />
						</xsl:if>
					</div>
				</div>
				
				
				
				<xsl:if test="/view/step/text()  &lt; 3">
					<div class="line"></div>
				</xsl:if>
				<xsl:if test="/view/step/text()  &gt; 3">
					<div class="line_light"></div>
				</xsl:if>
				<xsl:if test="/view/step/text() = 3">
					<div class="line_light">
						<div class="line_light_grad"></div>
					</div>
				</xsl:if>
				
				<div class="item">
					<div class="item_pic">
						<xsl:if test="(/view/step/text() &gt; 3) or (/view/step/text() = 3)">
							<a class="block_link" href="/order_send"></a>
						</xsl:if>
					</div>
					<div class="item_text">
						<xsl:if test="(/view/step/text() &gt; 3) or (/view/step/text() = 3)">
							<a class="block_link" href="/order_send"></a>
						</xsl:if>
						<xsl:if test="(/view/step/text() &gt; 3) or (/view/step/text() = 3)">
							<a class="simple_link" href="/order_send"><xsl:value-of select="php:function('constant', 'LNG_SH_CONFIRM_ORDER')" /></a>
						</xsl:if>
						<xsl:if test="not((/view/step/text() &gt; 2) or (/view/step/text() = 2))">							
							<xsl:value-of select="php:function('constant', 'LNG_SH_CONFIRM_ORDER')" />
						</xsl:if>
					</div>
				</div>
				
				
				<div class="line"></div>
				
				<div class="item">
					<div class="item_pic"></div>
					<div class="item_text"><xsl:value-of select="php:function('constant', 'LNG_SH_ORDER_MAKE')" /></div>
				</div>
				<div class="clear_both"></div>
			</div>
			
			<h1><xsl:value-of select="php:function('constant', 'LNG_SH_ADDR_DELIVERY')" /></h1>
			<p><xsl:value-of select="php:function('constant', 'LNG_SH_SEL_ADDR_DELIVERYY')" /></p>

			<form method="post">
			<input type="hidden" name="action" value="run_delivery"/>
			<xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('wo_registration'), /view/result)"/>
			<br />
			<h1><xsl:value-of select="php:function('constant', 'LNG_SH_SEL_SPOSOB_DELIVERY')" /></h1>
			<table cellspacing="0">
			<xsl:for-each select="/view/result/delivery_list">
				<tr>	
					<td class="content_list_item" width="50%">
						<p>
							
								<xsl:variable name='act'>
									<xsl:choose>
									<xsl:when test="session.order.delivery = id/text()">true</xsl:when>
										<xsl:otherwise></xsl:otherwise>
									</xsl:choose>
								</xsl:variable> 
								
							<input type="radio" id="delivery_{id/text()}" name="delivery" value="{id/text()}" checked="{$act}" />
							<label for="delivery_{id/text()}">&nbsp;<xsl:value-of  disable-output-escaping="yes" select="title/text()" /></label>
						</p>
					</td>
					<td class="content_list_item" width="50%"><p><xsl:value-of  disable-output-escaping="yes" select="description/text()" /></p></td>
				</tr>
			</xsl:for-each>
			</table>
			<br/>
			<input type="submit" class="btn_prod" value="{php:function('constant', 'LNG_SH_CONTINUE')}" />
			</form>

		</td>
		<td class="content_middle_right"></td></tr>
	<tr><td class="content_bottom_left"></td>
		<td class="content_bottom_right"></td></tr>		
</table>


</xsl:template>
