<xsl:param name="info">
Оформление заказа
</xsl:param>

<xsl:template match="view">

<table class="content_table">
	<tr><td class="content_top_left"></td>
		<td class="content_top_center"><xsl:value-of select="php:function('constant', 'LNG_SH_ORDER_REG')" />&nbsp;::&nbsp;<xsl:value-of select="php:function('constant', 'LNG_SH_CONFIRM_ORDER')" /></td>
		<td class="content_top_right"></td></tr>
	<tr><td class="content_middle_left"><div class="null"></div></td>
		<td class="content_main" rowspan="2">
		
			<div id="basket_status">
				<div class="clear_both"></div>
				<div class="item">
					<div class="item_pic"><a class="block_link" href="/order_delivery"></a></div>
					<div class="item_text"><a class="simple_link" href="/order_delivery"><xsl:value-of select="php:function('constant', 'LNG_SH_ORDER_DELIVERY')" /></a></div>
				</div>
				
				<xsl:if test="/view/step/text()  &lt; 2">
					<div class="line"></div>
				</xsl:if>
				<xsl:if test="/view/step/text()  &gt; 2">
					<div class="line_light"></div>
				</xsl:if>
				<xsl:if test="/view/step/text() = 2">
					<div class="line_light">
						<div class="line_light_grad"></div>
					</div>
				</xsl:if>

				
				<div class="item">
					<div class="item_pic_act"><a class="block_link" href="/order_payment"></a></div>
					<div class="item_text"><a class="simple_link" href="/order_payment"><xsl:value-of select="php:function('constant', 'LNG_SH_ORDER_PAYMENT')" /></a></div>
				</div>
				
				<xsl:if test="/view/step/text()  &lt; 3">
					<div class="line"></div>
				</xsl:if>
				<xsl:if test="/view/step/text()  &gt; 3">
					<div class="line_light"></div>
				</xsl:if>
				<xsl:if test="/view/step/text() = 3">
					<div class="line_light">
						<div class="line_light_grad"></div>
					</div>
				</xsl:if>
				


				<div class="item">
					<div class="item_pic_act"><a class="block_link" href="#"></a></div>
					<div class="item_text"><a class="simple_link" href="#"><xsl:value-of select="php:function('constant', 'LNG_SH_CONFIRM_ORDER')" /></a></div>
				</div>
				
				<div class="line"></div>
				
				<div class="item">
					<div class="item_pic"></div>
					<div class="item_text"><xsl:value-of select="php:function('constant', 'LNG_SH_ORDER_MAKE')" /></div>
				</div>
				<div class="clear_both"></div>
			</div>
		
				
			<table width="100%" cellspacing="0">
				<tr><td class="content_list_item_line header"><xsl:value-of  select="php:function('constant','LNG_SH_PHOTO_SHORT')" /></td>
					<td class="content_list_item_line header"><xsl:value-of  select="php:function('constant','LNG_SH_NAME_T')" /></td>
					<td class="content_list_item_line header"><xsl:value-of  select="php:function('constant','LNG_SH_COUNT')" /></td>
					<td class="content_list_item_line header"><xsl:value-of  select="php:function('constant','LNG_SH_STOIMOST')" /></td></tr>

					
				<xsl:for-each select="/view/result/products">
				<tr><td class="content_list_item catalog_preview_photo">
						<div class="preview_photo">
												<xsl:variable name="params">
													<![CDATA[
														<id>]]><xsl:value-of select="id/text()" /><![CDATA[</id>
														<mode>preview</mode>
														<w>200</w>
														<h>100</h>
													]]>
												</xsl:variable>
												
												<xsl:variable name="img" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_action', string('smartimage,get_image_shop'), '', $params)" />

										<xsl:if test="$img != ''">
											<img src="{$img}" />
										</xsl:if>
										
										<xsl:if test="$img = ''">
											<p><xsl:value-of  select="php:function('constant','LNG_SH_NO_PHOTO_SHORT')" /></p>
										</xsl:if>				
					</div></td>
					<td class="content_list_item simple"><xsl:value-of  select="title/text()" /></td>
					<td class="content_list_item simple"><xsl:value-of  select="basketcount/text()" /></td>
					
								<xsl:variable name="params">
									<![CDATA[
										<price>]]><xsl:value-of select="basketamount/text()" /><![CDATA[</price>
									]]>
								</xsl:variable>
								
								<xsl:variable name="shop_price" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_action', string('currency,get_price_for_shop'), '', $params)" />

								
					<td class="content_list_item simple"><xsl:value-of disable-output-escaping="yes" select="$shop_price" /></td></tr>
			</xsl:for-each>	
			</table>
			<br />
			
			
			
			<table width="100%" cellspacing="0">
				<tr><td class="content_list_item" align="right" width="100%"><p><xsl:value-of  select="php:function('constant','LNG_SH_POD_ITOG')" />:</p></td>
					<td class="content_list_item catalog_preview_info" align="right"><p><nobr><b>

						<xsl:variable name="params">
							<![CDATA[
								<price>]]><xsl:value-of select="/view/result/total_amount/text()" /><![CDATA[</price>
							]]>
						</xsl:variable>
								
						<xsl:variable name="shop_price" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_action', string('currency,get_price_for_shop'), '', $params)" />
						<xsl:value-of  disable-output-escaping="yes"  select="$shop_price" />

					
					</b></nobr></p></td></tr>
				
				<xsl:if test="/view/result/order/discount/percent">
				<tr><td class="content_list_item" align="right"><p><xsl:value-of  select="php:function('constant','LNG_SH_STOIMOST_SOSKIDKA')" /> (<xsl:value-of  select="/view/result/order/discount/percent" />%):</p></td>
					<td class="content_list_item catalog_preview_info" align="right"><p><nobr><b>
					
						<xsl:variable name="params">
							<![CDATA[
								<price>]]><xsl:value-of select="/view/result/order/amount_with_discount/text()" /><![CDATA[</price>
							]]>
						</xsl:variable>						
						<xsl:variable name="shop_price" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_action', string('currency,get_price_for_shop'), '', $params)" />			
						<xsl:value-of  disable-output-escaping="yes"  select="$shop_price" />
					
					</b></nobr></p></td></tr>
					
				<tr><td class="content_list_item_line" align="right"><p></p></td>
					<td class="content_list_item_line catalog_preview_info" align="right">
						<p><nobr><span style="font-weight:bold;">
					
					</span></nobr></p>
					</td></tr>
				</xsl:if>

				
				
				<xsl:for-each select="/view/result/order/tax">
				<tr>
					<td class="content_list_item" align="right"><p><b><xsl:value-of  select="title/text()" /> (<xsl:value-of  select="percent/text()" />%):</b></p></td>
					<td class="content_list_item catalog_preview_info" align="right">
						<p>
							<nobr>
								<b>
								<xsl:variable name="params">
									<![CDATA[
										<price>]]><xsl:value-of select="amount/text()" /><![CDATA[</price>
									]]>
								</xsl:variable>											
								<xsl:variable name="shop_price" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_action', string('currency,get_price_for_shop'), '', $params)" />								
								<xsl:value-of  disable-output-escaping="yes"  select="$shop_price" />
								</b>
							</nobr>
						</p>
					</td>
				</tr>

				</xsl:for-each>
				

				<xsl:if test="/view/result/order/delivery">
				<tr><td class="content_list_item" align="right"><p><b><xsl:value-of  select="php:function('constant','LNG_SH_DELIVERY')" /> (<xsl:value-of  select="/view/result/order/delivery_title/text()" />):</b></p></td>
					<td class="content_list_item catalog_preview_info" align="right"><p><nobr><b>
					<xsl:variable name="params">
						<![CDATA[
							<price>]]><xsl:value-of select="/view/result/order/delivery_amount/text()" /><![CDATA[</price>
						]]>
					</xsl:variable>
								
					<xsl:variable name="shop_price" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_action', string('currency,get_price_for_shop'), '', $params)" />
						
					<xsl:value-of  disable-output-escaping="yes" select="$shop_price" />

					</b></nobr></p></td></tr>

				</xsl:if>					


				
				<tr><td class="content_list_item" align="right"><p><xsl:value-of  select="php:function('constant','LNG_SH_ITOGO')" />:</p></td>
					<td class="content_list_item catalog_preview_info" align="right"><p><nobr><b>

					<xsl:variable name="params">
						<![CDATA[
							<price>]]><xsl:value-of select="/view/result/total/text()" /><![CDATA[</price>
						]]>
					</xsl:variable>
								
					<xsl:variable name="shop_price" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_action', string('currency,get_price_for_shop'), '', $params)" />
						<xsl:value-of  disable-output-escaping="yes"  select="$shop_price" />

					
					</b></nobr></p></td>
				</tr>

				<xsl:if test="/view/result/order/payment_title">
					<tr>
						<td class="content_list_item" align="right"><p><xsl:value-of  select="php:function('constant','LNG_SH_PAYMENT')" />:</p></td>
						<td class="content_list_item catalog_preview_info" align="right"><p><nobr><b><xsl:value-of  select="/view/result/order/payment_title/text()" /></b></nobr></p></td>
					</tr>					
				</xsl:if>			
				
			</table>
			
			
			
			<form method="post">
				<input type="hidden" name="action" value="run_send"/>

				<xsl:for-each select="/view/result/add_fields/child::node()">
					<xsl:if test="title/text() != ''">
						<p class="reg">
							<xsl:value-of disable-output-escaping="yes" select="title/text()" />:
							<xsl:if test="is_obil/text() != ''">
								<font color="red">*</font>
							</xsl:if>	
							<br />
					
							<input type="hidden" name="title_field[{position()}]" value="{title/text()}" />
					
							<xsl:variable name="pos" select="position()" />

							<input class="reg" type="text" name="add_field[{position()}]" value="{/view/result/add_fields[position()=$pos]/title/text()}" />
							<xsl:value-of disable-output-escaping="yes" select="/view/result/errors/add_field[position()=$pos]/text()" />
						</p>
					</xsl:if>
				</xsl:for-each>

				<p class="reg"><xsl:value-of select="php:function('constant','LNG_SH_COMMENT_ORDER')" />:<br/>
					<textarea class="reg" name="comment"></textarea></p>
				<p><input type="submit" value="{php:function('constant','LNG_SH_BTN_ORDER_MAKE')}" class="btn_order" /></p>
			</form>
		</td>
		<td class="content_middle_right"></td></tr>
	<tr><td class="content_bottom_left"></td>
		<td class="content_bottom_right"></td></tr>		
</table>


			
</xsl:template>