<xsl:param name="info">
Продукт
</xsl:param>


<xsl:template match="view">


<table class="content2_table">
	<tr><td class="content2_top_left"><div class="null c2"></div></td>
		<td class="content2_top_cloud"><div class="null cl"></div></td>
		<td class="content2_top_center">
			<h1 class="content2_top_header"><xsl:value-of  disable-output-escaping="yes" select="/view/product_item/title"/></h1>
				<div class="page_navigation">
					<a class="page_navigation" href="/product/{/view/product_item/id/text()}/print/" target="_blank"><xsl:value-of select="php:function('constant', 'LNG_SH_VERSION_FOR_PRINT')" /></a>
				</div>
		</td>
		<td class="content2_top_right"><div class="null c2"></div></td>
	</tr>
	<tr><td class="content2_main" colspan="4">
			<table class="product">
				<tr>
					<td class="product_photo">
						<div class="photo">
							<!-- настройки фотографий -->				
							<xsl:variable name="params">
								<![CDATA[
									<table>view</table>
									<mode>photo</mode>
									<w>220</w>
									<h>150</h>								
									<product><id>]]><xsl:value-of select="/view/product_item/id/text()" /><![CDATA[</id></product>
								]]>
							</xsl:variable>					
							<xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('gallery/shop/_gallery_product_view'),'', $params,0)"/>
						</div>
					</td>
					<td class="product_info">
					<form action="/basket/add/{/view/product_item/id/text()}/" name="product_form_{/view/product_item/id/text()}" method="POST">
							
						<!-- НОВИНКА -->
						<xsl:if test="/view/product_item/is_new">							
							<div style="float: right; margin-top: 5px;"><div style="background: url('/rel/shop/magicdark/images/new_product.gif') no-repeat; width:75px;padding-top:3px; height:17px;font-size:11px;color:#ffffff; font-weight:bold;text-align:center"><xsl:value-of select="php:function('constant', 'LNG_SH_NEWWW')" /></div></div>
						</xsl:if>			

						<p style="margin-bottom: 2px;"> <!-- ЦЕНА -->
							<xsl:value-of disable-output-escaping="yes" select="php:function('constant', 'LNG_SH_PRICE')" />:&nbsp;
							<b style="color: #FFFFFF; font-size: 19px;">
									<xsl:variable name="params">
										<![CDATA[
											<price>]]><xsl:value-of select="/view/product_item/price/text()" /><![CDATA[</price>
											<currency>]]><xsl:value-of select="/view/product_item/currency_id/text()" /><![CDATA[</currency>
										]]>
									</xsl:variable>				
									<xsl:variable name="shop_price" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_action', string('currency,get_price_for_shop'), '', $params)" />
									<xsl:value-of  disable-output-escaping="yes"  select="$shop_price" />
							</b>
						</p>

						<xsl:if test="php:function('constant', 'CONF_SHOP_OLD_PRICE') = 1 and /view/product_item/old_price/text() &gt; 0">
							<p style="margin: 0px;">
								<xsl:value-of disable-output-escaping="yes" select="php:function('constant', 'LNG_STARAYA_PRICE')" />:&nbsp;
								<b style="color: #AAAAAA; font-size: 12px; text-decoration: line-through;">
									<xsl:variable name="params">
										<![CDATA[
											<price>]]><xsl:value-of select="/view/product_item/old_price/text()" /><![CDATA[</price>
											<currency>]]><xsl:value-of select="/view/product_item/currency_id/text()" /><![CDATA[</currency>
										]]>
									</xsl:variable>				
									<xsl:variable name="shop_price" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_action', string('currency,get_price_for_shop'), '', $params)" />
									<xsl:value-of  disable-output-escaping="yes"  select="$shop_price" />
								</b>
							</p>
							
							<xsl:if test="( (/view/product_item/old_price) - (/view/product_item/price) ) &gt; 0">
								<p style="margin-top: 3px;">
									<xsl:value-of disable-output-escaping="yes" select="php:function('constant', 'LNG_SH_YOU_EKONOM')" />:&nbsp;
									<b style="color: #AAAAAA; font-size: 12px;">										
										<xsl:variable name="params222">
											<![CDATA[
												<price>]]><xsl:value-of select="(/view/product_item/old_price/text()) - (/view/product_item/price/text())" /><![CDATA[</price>
												<currency>]]><xsl:value-of select="/view/product_item/currency_id/text()" /><![CDATA[</currency>
											]]>
										</xsl:variable>				
										<xsl:variable name="shop_price222" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_action', string('currency,get_price_for_shop'), '', $params222)" />
										<xsl:value-of  disable-output-escaping="yes"  select="$shop_price222" />
										&nbsp;(<xsl:value-of disable-output-escaping="yes" select="round( ( ( (/view/product_item/old_price) - (/view/product_item/price) ) * 100 ) div (/view/product_item/price))" /> %)
									</b>
								</p>
							</xsl:if>
						</xsl:if>

						
						
						<xsl:if test="php:function('constant', 'CONF_SHOP_RATING_SHOW') = 2">
							<xsl:if test="/view/product_item/rating_count">
								<p>
									<xsl:value-of disable-output-escaping="yes" select="php:function('constant', 'LNG_RATING')" />:&nbsp;
									<xsl:value-of disable-output-escaping="yes" select="round( (/view/product_item/rating_score/text()) div (/view/product_item/rating_count/text()))" />
								</p>
							</xsl:if>
						</xsl:if>
						

						

						<p><a class="simple_link" href="/product/{/view/product_item/id/text()}/question/">
							<xsl:value-of disable-output-escaping="yes" select="php:function('constant', 'LNG_SH_QUESTION_PRODUCT')" /> "<xsl:value-of disable-output-escaping="yes" select="/view/product_item/title/text()" />"</a></p>

							<xsl:if test="/view/product_item/count">
								<p>
									<xsl:if test="php:function('constant', 'CONF_SHOP_BASKET_SHOW') = 2">								
										<p>
											<a class="to_basket" onClick="document.forms['product_form_{/view/product_item/id/text()}'].submit(); return false;"  href="/basket/add/{/view/product_item/id}"><xsl:value-of disable-output-escaping="yes" select="php:function('constant', 'LNG_SH_BTN_MAGICDARK_TO_BASKET')" /></a>
										</p>
									</xsl:if>
								</p>
							</xsl:if>
						
						<p>						
							<xsl:if test="/view/is_comparsion = 1">
								<a class="simple_link" href="/comparision/add/{/view/product_item/id/text()}/"><xsl:value-of disable-output-escaping="yes" select="php:function('constant', 'LNG_SH_ADD_PRODUCT_IN_TABLE_SRAV')" /></a>
							</xsl:if>
							<xsl:if test="/view/is_comparsion != 1">
								<a class="simple_link" href="/comparision/" target="_blank" onClick="window.open('/comparision/','comp','top=50, left=20, width=750,height=600,scrollbars=1'); return false"><xsl:value-of disable-output-escaping="yes" select="php:function('constant', 'LNG_SH_GO_PRODUCTS_TABLE_SRAV')" /></a>
							</xsl:if>							
						</p>
												

						<xsl:if test="count(/view/product_item/fields) &gt; 0">
						<table cellspacing="0">
							<xsl:for-each select="/view/product_item/fields">							
								<tr><td><p style="margin-top: 0px"><xsl:value-of disable-output-escaping="yes" select="title/text()" />:&nbsp;</p></td>
									<td><p style="margin-top: 0px"><b style="color: #FFFFFF"><xsl:value-of disable-output-escaping="yes" select="value/text()" /></b></p></td></tr>
							</xsl:for-each>
						</table>
						</xsl:if>
						
						
						<xsl:if test="/view/product_item/has_type_data">
							<xsl:value-of disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('catalog:product_multitype:_product_multitype_product'), /view/product_item)" />
						</xsl:if>			

					</form>
					</td></tr>					
					
					<xsl:if test="/view/product_item/description/text() != ''">
					<tr><td colspan="2" style="font: normal 12px Tahoma, sans-serif; padding: 10px 0px;">
							<xsl:value-of select="/view/product_item/description/text()" />
						</td></tr>
					</xsl:if>
					
			</table>
			<table class="product"><tr><td>
			<!-- РЕЙТИНГ ГОЛОСОВАНИЕ -->
			<xsl:variable name="params">
				<xsl:value-of select="/view/product_item/id/text()" />
			</xsl:variable>								
			<xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('_product_content_rating'),'', $params)"/>
			<!-- РЕЙТИНГ ГОЛОСОВАНИЕ -->
			</td></tr></table>
			
			
			<xsl:value-of  disable-output-escaping="yes"  select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('_product_content_comment'), /view/comment/result)" />			
	</td></tr>
	<tr><td class="content2_bottom_left"><div class="null c2"></div></td>
		<td class="content2_bottom_center" colspan="2"></td>
		<td class="content2_bottom_right"><div class="null c2"></div></td></tr>		
</table>


</xsl:template>





<xsl:template match="assoc"> <!-- здесь выводим результат процессинга view (то что выше) в блок -->

	<xsl:variable name="params">
		<![CDATA[
			<view>_product_assoc_preview_content</view>
		]]>
	</xsl:variable>

<xsl:if test="not(count(/assoc/product_item) = 0)">	
	<xsl:variable name="assoc" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('catalog:product_assoc:_product_assoc_preview'), /assoc/product_item, $params)"/> 
			
			
	<xsl:variable name="view">
		<![CDATA[
			<block>
				<text>]]><xsl:value-of  disable-output-escaping="yes"  select="php:function('htmlspecialchars',$assoc)" /><![CDATA[</text>
				<title>]]>Сопутствующие товары<![CDATA[</title>
			</block>
			<_xsl>_block000</xsl>
		]]>
	</xsl:variable>
	
	<!-- для переопределения входного массива надо добавить переменную в вызов:
	<xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('_block_common'), /block/block_arr, $view)"/> 
	текущий пример переназначит блок для вывода -->
	
		<!--<xsl:value-of  disable-output-escaping="yes" select="php:function('CallGlobalFunction', 'Dispatcher', 'get_view', string('_block_common'), '', $view)"/>  -->
</xsl:if>
</xsl:template>





